/******/ (function(modules) { // webpackBootstrap
/******/ 	// install a JSONP callback for chunk loading
/******/ 	function webpackJsonpCallback(data) {
/******/ 		var chunkIds = data[0];
/******/ 		var moreModules = data[1];
/******/ 		var executeModules = data[2];
/******/
/******/ 		// add "moreModules" to the modules object,
/******/ 		// then flag all "chunkIds" as loaded and fire callback
/******/ 		var moduleId, chunkId, i = 0, resolves = [];
/******/ 		for(;i < chunkIds.length; i++) {
/******/ 			chunkId = chunkIds[i];
/******/ 			if(Object.prototype.hasOwnProperty.call(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 				resolves.push(installedChunks[chunkId][0]);
/******/ 			}
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules) {
/******/ 			if(Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				modules[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if(parentJsonpFunction) parentJsonpFunction(data);
/******/
/******/ 		while(resolves.length) {
/******/ 			resolves.shift()();
/******/ 		}
/******/
/******/ 		// add entry modules from loaded chunk to deferred list
/******/ 		deferredModules.push.apply(deferredModules, executeModules || []);
/******/
/******/ 		// run deferred modules when all chunks ready
/******/ 		return checkDeferredModules();
/******/ 	};
/******/ 	function checkDeferredModules() {
/******/ 		var result;
/******/ 		for(var i = 0; i < deferredModules.length; i++) {
/******/ 			var deferredModule = deferredModules[i];
/******/ 			var fulfilled = true;
/******/ 			for(var j = 1; j < deferredModule.length; j++) {
/******/ 				var depId = deferredModule[j];
/******/ 				if(installedChunks[depId] !== 0) fulfilled = false;
/******/ 			}
/******/ 			if(fulfilled) {
/******/ 				deferredModules.splice(i--, 1);
/******/ 				result = __webpack_require__(__webpack_require__.s = deferredModule[0]);
/******/ 			}
/******/ 		}
/******/
/******/ 		return result;
/******/ 	}
/******/
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// object to store loaded and loading chunks
/******/ 	// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 	// Promise = chunk loading, 0 = chunk loaded
/******/ 	var installedChunks = {
/******/ 		"index": 0
/******/ 	};
/******/
/******/ 	var deferredModules = [];
/******/
/******/ 	// script path function
/******/ 	function jsonpScriptSrc(chunkId) {
/******/ 		return __webpack_require__.p + "static/js/" + ({"pages-exercise-book~pages-paper-paper~pages-practice-indexH5~pages-practice-multiPractice~pages-prac~af8aa605":"pages-exercise-book~pages-paper-paper~pages-practice-indexH5~pages-practice-multiPractice~pages-prac~af8aa605","pages-exercise-book":"pages-exercise-book","pages-paper-paper~pages-practice-indexH5~pages-practice-newIndexH5~pages-practice-records":"pages-paper-paper~pages-practice-indexH5~pages-practice-newIndexH5~pages-practice-records","pages-paper-paper~pages-practice-multiPractice~pages-practice-oldPractice":"pages-paper-paper~pages-practice-multiPractice~pages-practice-oldPractice","pages-paper-paper":"pages-paper-paper","pages-practice-indexH5~pages-practice-multiPractice~pages-practice-oldPractice":"pages-practice-indexH5~pages-practice-multiPractice~pages-practice-oldPractice","pages-practice-indexH5":"pages-practice-indexH5","pages-practice-newIndexH5":"pages-practice-newIndexH5","pages-practice-records":"pages-practice-records","pages-practice-multiPractice~pages-practice-oldPractice":"pages-practice-multiPractice~pages-practice-oldPractice","pages-practice-multiPractice":"pages-practice-multiPractice","pages-practice-oldPractice":"pages-practice-oldPractice","pages-index-exceptionDepict":"pages-index-exceptionDepict","pages-index-globalToast":"pages-index-globalToast","pages-index-introduce":"pages-index-introduce","pages-index-protocol":"pages-index-protocol","pages-matter-bookMall":"pages-matter-bookMall","pages-matter-myIntro":"pages-matter-myIntro","pages-micro-viewMicro":"pages-micro-viewMicro","pages-personal-agreement":"pages-personal-agreement","pages-personal-captcha":"pages-personal-captcha","pages-personal-privacy":"pages-personal-privacy","pages-promotion-invitation":"pages-promotion-invitation","pages-promotion-myCourse":"pages-promotion-myCourse","pages-promotion-rules":"pages-promotion-rules","pages-vip-protocol":"pages-vip-protocol","pages-webview-activate":"pages-webview-activate"}[chunkId]||chunkId) + ".js"
/******/ 	}
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/ 	// This file contains only the entry chunk.
/******/ 	// The chunk loading function for additional chunks
/******/ 	__webpack_require__.e = function requireEnsure(chunkId) {
/******/ 		var promises = [];
/******/
/******/
/******/ 		// JSONP chunk loading for javascript
/******/
/******/ 		var installedChunkData = installedChunks[chunkId];
/******/ 		if(installedChunkData !== 0) { // 0 means "already installed".
/******/
/******/ 			// a Promise means "currently loading".
/******/ 			if(installedChunkData) {
/******/ 				promises.push(installedChunkData[2]);
/******/ 			} else {
/******/ 				// setup Promise in chunk cache
/******/ 				var promise = new Promise(function(resolve, reject) {
/******/ 					installedChunkData = installedChunks[chunkId] = [resolve, reject];
/******/ 				});
/******/ 				promises.push(installedChunkData[2] = promise);
/******/
/******/ 				// start chunk loading
/******/ 				var script = document.createElement('script');
/******/ 				var onScriptComplete;
/******/
/******/ 				script.charset = 'utf-8';
/******/ 				script.timeout = 120;
/******/ 				if (__webpack_require__.nc) {
/******/ 					script.setAttribute("nonce", __webpack_require__.nc);
/******/ 				}
/******/ 				script.src = jsonpScriptSrc(chunkId);
/******/
/******/ 				// create error before stack unwound to get useful stacktrace later
/******/ 				var error = new Error();
/******/ 				onScriptComplete = function (event) {
/******/ 					// avoid mem leaks in IE.
/******/ 					script.onerror = script.onload = null;
/******/ 					clearTimeout(timeout);
/******/ 					var chunk = installedChunks[chunkId];
/******/ 					if(chunk !== 0) {
/******/ 						if(chunk) {
/******/ 							var errorType = event && (event.type === 'load' ? 'missing' : event.type);
/******/ 							var realSrc = event && event.target && event.target.src;
/******/ 							error.message = 'Loading chunk ' + chunkId + ' failed.\n(' + errorType + ': ' + realSrc + ')';
/******/ 							error.name = 'ChunkLoadError';
/******/ 							error.type = errorType;
/******/ 							error.request = realSrc;
/******/ 							chunk[1](error);
/******/ 						}
/******/ 						installedChunks[chunkId] = undefined;
/******/ 					}
/******/ 				};
/******/ 				var timeout = setTimeout(function(){
/******/ 					onScriptComplete({ type: 'timeout', target: script });
/******/ 				}, 120000);
/******/ 				script.onerror = script.onload = onScriptComplete;
/******/ 				document.head.appendChild(script);
/******/ 			}
/******/ 		}
/******/ 		return Promise.all(promises);
/******/ 	};
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "./";
/******/
/******/ 	// on error function for async loading
/******/ 	__webpack_require__.oe = function(err) { console.error(err); throw err; };
/******/
/******/ 	var jsonpArray = window["webpackJsonp"] = window["webpackJsonp"] || [];
/******/ 	var oldJsonpFunction = jsonpArray.push.bind(jsonpArray);
/******/ 	jsonpArray.push = webpackJsonpCallback;
/******/ 	jsonpArray = jsonpArray.slice();
/******/ 	for(var i = 0; i < jsonpArray.length; i++) webpackJsonpCallback(jsonpArray[i]);
/******/ 	var parentJsonpFunction = oldJsonpFunction;
/******/
/******/
/******/ 	// add entry module to deferred list
/******/ 	deferredModules.push([0,"chunk-vendors"]);
/******/ 	// run deferred modules when ready
/******/ 	return checkDeferredModules();
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__("56d7");


/***/ }),

/***/ "056a":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";

// EXPORTS
__webpack_require__.d(__webpack_exports__, "b", function() { return /* reexport */ render; });
__webpack_require__.d(__webpack_exports__, "c", function() { return /* reexport */ staticRenderFns; });
__webpack_require__.d(__webpack_exports__, "a", function() { return /* reexport */ components; });

// UNUSED EXPORTS: recyclableRender

// CONCATENATED MODULE: ./node_modules/@dcloudio/vue-cli-plugin-uni/packages/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/webpack-preprocess-loader??ref--15-0!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/webpack-uni-app-loader/filter-modules-template.js!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/webpack-uni-app-loader/page-meta.js!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/vue-loader/lib??vue-loader-options!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/webpack-scoped-loader!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/wrap-loader??ref--18!./src/App.vue?vue&type=template&id=4de622d6&
var components;
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('App',{attrs:{"keepAliveInclude":_vm.keepAliveInclude}})}
var recyclableRender = false
var staticRenderFns = []


// CONCATENATED MODULE: ./src/App.vue?vue&type=template&id=4de622d6&


/***/ }),

/***/ "05bd":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

__webpack_require__("96cf");

__webpack_require__("d3b7");

__webpack_require__("159b");

__webpack_require__("a434");

__webpack_require__("c740");

__webpack_require__("13d5");

__webpack_require__("07ac");

__webpack_require__("99af");

var _asyncToGenerator2 = _interopRequireDefault(__webpack_require__("1da1"));

var _toConsumableArray2 = _interopRequireDefault(__webpack_require__("2909"));

var _defineProperty2 = _interopRequireDefault(__webpack_require__("ade3"));

var _objectSpread3 = _interopRequireDefault(__webpack_require__("5530"));

var _vue = _interopRequireDefault(__webpack_require__("e143"));

var _common = __webpack_require__("8c1b");

var _default = {
  // 注册在该模块内
  namespaced: true,
  state: {
    // 试卷列表，1是下载中，2是已下载
    downloadPapers: {
      1: [],
      2: []
    },
    downloadStateMap: {},
    downloadRefreshKey: false
  },
  mutations: {
    updateRefreshState: function updateRefreshState(state) {
      state.downloadRefreshKey = !state.downloadRefreshKey;
    },
    SET_DOWNLOAD_PAPERS: function SET_DOWNLOAD_PAPERS(state, papers) {
      state.downloadPapers = papers;
      state.downloadPapers = (0, _objectSpread3.default)({}, state.downloadPapers);
      papers[1].forEach(function (element) {
        _vue.default.set(state.downloadStateMap, element.id, (0, _objectSpread3.default)((0, _objectSpread3.default)({}, state.downloadStateMap[element.id]), {}, {
          progress: 1,
          pdfPath: element.pdfPath,
          isPause: true
        }));
      });
      papers[2].forEach(function (element) {
        _vue.default.set(state.downloadStateMap, element.id, (0, _objectSpread3.default)((0, _objectSpread3.default)({}, state.downloadStateMap[element.id]), {}, {
          progress: 100,
          pdfPath: element.pdfPath
        }));
      });
    },
    UPDATE_STATE: function UPDATE_STATE(state, data) {
      // console.log(
      //     'progress',
      //     state.downloadStateMap[data.item.id].progress
      // );
      // console.log('UPDATE_STATE data--->>>', data);
      // console.log('UPDATE_STATE downloadStateMap--->>>', state.downloadStateMap);
      state.downloadStateMap[data.item.id].progress = data.progress;
      state.downloadStateMap = (0, _objectSpread3.default)({}, state.downloadStateMap);
      state.downloadPapers[1].forEach(function (itm, index) {
        if (itm.id === data.item.id) {
          if (data.progress <= 50) {
            itm.progress = data.progress;
            itm.progress1 = 'transform: rotate(0deg);backgroundColor: #eee';
            itm.progress2 = "transform: rotate(".concat(180 * data.progress * 2 / 100, "deg);");
          } else {
            itm.progress = data.progress;
            itm.progress1 = "transform: rotate(".concat(180 * (data.progress - 50) * 2 / 100, "deg)");
            itm.progress2 = "transform: rotate(0deg); backgroundColor: #23C24E";
          }
        }
      });
      state.downloadPapers = (0, _objectSpread3.default)({}, state.downloadPapers);

      if (data.progress >= 100) {
        state.downloadPapers[1].splice(state.downloadPapers[1].findIndex(function (e) {
          return e.id === data.item.id;
        }), 1);

        if (state.downloadPapers[2].findIndex(function (e) {
          return e.id === data.item.id;
        }) === -1) {
          state.downloadPapers[2].push(data.item);
        }

        var downloadPapers = state.downloadPapers;
        state.downloadPapers = (0, _objectSpread3.default)({}, downloadPapers);

        try {
          uni.setStorageSync(_common.global.storageKeys.DOWNLOAD_PAPERS, state.downloadPapers);
        } catch (e) {
          console.log(e);
        }
      }
    },
    ADD_ITEM: function ADD_ITEM(state, item) {
      var _this2 = this;

      console.log(33);

      if (state.downloadPapers[2].findIndex(function (e) {
        return e.id === item.id;
      }) !== -1) {
        return;
      }

      if (item.isShowToast) {
        uni.showToast({
          title: '下载试卷请在个人中心查看',
          icon: 'none'
        });
      }

      var idx = state.downloadPapers[2].findIndex(function (e) {
        return e.id === item.id;
      });

      if (idx === -1) {
        var downloadPapers = state.downloadPapers; // 重组结构

        var newObj = downloadPapers[1].reduce(function (r, c) {
          return (0, _objectSpread3.default)((0, _objectSpread3.default)({}, r), {}, (0, _defineProperty2.default)({}, c.id, c));
        }, {});
        newObj[item.id] = item;
        state.downloadPapers[1] = Object.values(newObj);
        state.downloadPapers = (0, _objectSpread3.default)({}, state.downloadPapers); // state.downloadPapers[1].push(item);
      } // item.pdf_url = 'https://file-1252792890.cos.ap-beijing-1.myqcloud.com/tmp/976aa390a923c27d9e1315165194ae19.pdf'


      var downloadTask = uni.downloadFile({
        url: item.pdf_url,
        success: function success(res) {
          if ((res === null || res === void 0 ? void 0 : res.statusCode) === 200) {
            var progress = 100;
            var _this = _this2; //将文件存储到本地

            uni.saveFile({
              tempFilePath: res.tempFilePath,
              success: function success(res) {
                item.pdfPath = res.savedFilePath;

                _this.commit('download/UPDATE_STATE', {
                  item: item,
                  progress: progress
                });

                state.downloadStateMap[item.id].pdfPath = res.savedFilePath;
              }
            });
          }
        }
      });
      downloadTask.onProgressUpdate(function (res) {
        // console.log('res.progress --->>>', res.progress);
        if (res.progress < 100) {
          var progress = res.progress;

          _this2.commit('download/UPDATE_STATE', {
            item: item,
            progress: progress
          });
        }
      });
      state.downloadStateMap[item.id] = {
        progress: 1,
        isPause: false,
        downloadTask: downloadTask
      };

      try {
        uni.setStorageSync(_common.global.storageKeys.DOWNLOAD_PAPERS, state.downloadPapers);
      } catch (e) {
        console.log(e);
      }
    },
    SET_IS_PAUSE: function SET_IS_PAUSE(state, item) {
      // const { isPause, item } = data;
      state.downloadPapers[1].forEach(function (c) {
        if (c.id === item.id) {
          c.isPause = item.isPause;
          c.progress = 0;
          c.progress1 = 'transform: rotate(0deg);backgroundColor: #eee';
          c.progress2 = "transform: rotate(".concat(180 * 0 * 2 / 100, "deg);");
        }
      });
      state.downloadPapers = (0, _objectSpread3.default)({}, state.downloadPapers);
      state.downloadStateMap[item.id].isPause = item.isPause;

      if (item.isPause) {
        if (state.downloadStateMap[item.id].downloadTask) {
          state.downloadStateMap[item.id].downloadTask.abort();
        }

        uni.setStorageSync(_common.global.storageKeys.DOWNLOAD_PAPERS, state.downloadPapers);
      } else {
        this.commit('download/ADD_ITEM', (0, _objectSpread3.default)((0, _objectSpread3.default)({}, item), {}, {
          isShowToast: false
        }));
      }
    },
    SET_ALL_IS_PAUSE: function SET_ALL_IS_PAUSE(state, isPause) {
      var _this3 = this;

      var downloadPapers = state.downloadPapers,
          downloadStateMap = state.downloadStateMap;

      if (isPause) {
        Object.values(downloadStateMap).forEach(function (item) {
          if (item.downloadTask) {
            item.downloadTask.abort();
          }
        });
        state.downloadPapers[1] = state.downloadPapers[1].reduce(function (r, c) {
          return [].concat((0, _toConsumableArray2.default)(r), [(0, _objectSpread3.default)((0, _objectSpread3.default)({}, c), {}, {
            isPause: isPause
          })]);
        }, []);
        uni.setStorageSync(_common.global.storageKeys.DOWNLOAD_PAPERS, state.downloadPapers);
      } else {
        state.downloadPapers[1].forEach(function (itm) {
          if (!itm.isPause) {
            downloadStateMap[itm.id].downloadTask.abort();
          }
        });
        state.downloadPapers[1] = state.downloadPapers[1].reduce(function (r, c) {
          return [].concat((0, _toConsumableArray2.default)(r), [(0, _objectSpread3.default)((0, _objectSpread3.default)({}, c), {}, {
            isPause: isPause
          })]);
        }, []);
        state.downloadPapers[1].forEach(function (item) {
          _this3.commit('download/ADD_ITEM', (0, _objectSpread3.default)((0, _objectSpread3.default)({}, item), {}, {
            isShowToast: false
          }));
        });
      }

      state.downloadPapers = (0, _objectSpread3.default)({}, state.downloadPapers);
    },
    REMOVE_ITEM: function REMOVE_ITEM(state, id) {
      var paperInfo = state.downloadStateMap[id]; // 下载中的删除

      if (paperInfo.progress < 100) {
        if (paperInfo.downloadTask) {
          // 停止下载
          paperInfo.downloadTask.abort();
        } // 从下载列表移除


        state.downloadPapers[1].splice(state.downloadPapers[2].findIndex(function (e) {
          return e.id === id;
        }), 1);
      } else {
        // 从已下载列表移除
        state.downloadPapers[2].splice(state.downloadPapers[2].findIndex(function (e) {
          return e.id === id;
        }), 1); // 从磁盘删除文件

        uni.removeSavedFile({
          filePath: state.downloadStateMap[id].pdfPath,
          complete: function complete() {}
        });
      }

      var downloadPapers = state.downloadPapers;
      state.downloadPapers = (0, _objectSpread3.default)({}, downloadPapers);
      paperInfo.progress = 0;

      try {
        uni.setStorageSync(_common.global.storageKeys.DOWNLOAD_PAPERS, state.downloadPapers);
      } catch (e) {
        console.log(e);
      }
    }
  },
  actions: {
    startDownloadPaper: function startDownloadPaper(_ref, item) {
      return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
        var commit, res;
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                commit = _ref.commit;
                console.log(10, 22);
                _context.next = 4;
                return (0, _common.request)({
                  url: "/dou_practice/api/college_entrance_exam_paper/pdf_url/".concat(item.id),
                  data: {
                    cat_id: item.cat_id
                  }
                }).catch(function () {});

              case 4:
                res = _context.sent;
                console.log(11, res);

                if (res) {
                  item.pdf_url = res;
                  commit('ADD_ITEM', item);
                } else {
                  uni.showModal({
                    title: '警告',
                    content: '该用户无权限下载'
                  });
                } // item.pdf_url =
                //     'https://file-1252792890.cos.ap-beijing-1.myqcloud.com/tmp/976aa390a923c27d9e1315165194ae19.pdf';
                // commit('ADD_ITEM', { ...item, isShowToast: true });


              case 7:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }))();
    },
    initDownloadPapers: function initDownloadPapers(_ref2) {
      var commit = _ref2.commit;

      try {
        var value = uni.getStorageSync(_common.global.storageKeys.DOWNLOAD_PAPERS); // console.log('缓存 --->>>', value);

        if (value) {
          commit('SET_DOWNLOAD_PAPERS', value);
        }
      } catch (e) {
        console.log(e);
      }
    },
    deletePapers: function deletePapers(_ref3, paperIds) {
      var commit = _ref3.commit;
      // console.log('paperIds', paperIds);
      paperIds.forEach(function (id) {
        commit('REMOVE_ITEM', id);
      });
    },
    changeRefreshKey: function changeRefreshKey(_ref4) {
      var commit = _ref4.commit;
      commit(updateRefreshState);
    }
  }
};
exports.default = _default;

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ "18ac":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

__webpack_require__("96cf");

var _asyncToGenerator2 = _interopRequireDefault(__webpack_require__("1da1"));

var _objectSpread2 = _interopRequireDefault(__webpack_require__("5530"));

__webpack_require__("d3b7");

__webpack_require__("159b");

__webpack_require__("d81d");

var _common = __webpack_require__("8c1b");

var _default = {
  // 注册在该模块内
  namespaced: true,
  state: {
    bookProducts: [],
    order: [],
    seriesData: []
  },
  getters: {
    bookProductsMap: function bookProductsMap(state) {
      var res = {};
      state.bookProducts.forEach(function (item) {
        res[item.id] = (0, _objectSpread2.default)({}, item);
      });
      return res;
    }
  },
  mutations: {
    setBookProducts: function setBookProducts(state, data) {
      state.bookProducts = data;
    },
    setBookProductsChecked: function setBookProductsChecked(state, index) {
      state.bookProducts[index].checked = !state.bookProducts[index].checked;
    },
    SET_ORDER: function SET_ORDER(state, data) {
      state.order = data;
    },
    setSeriesData: function setSeriesData(state, data) {
      state.seriesData = data;
    }
  },
  actions: {
    getBookProducts: function getBookProducts(_ref) {
      var _arguments = arguments;
      return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
        var state, rootState, commit, payload, res;
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                state = _ref.state, rootState = _ref.rootState, commit = _ref.commit;
                payload = _arguments.length > 1 && _arguments[1] !== undefined ? _arguments[1] : {};
                _context.next = 4;
                return (0, _common.request)({
                  url: '/daoyuan/api/shopping_mall/products',
                  method: 'GET',
                  data: {
                    tag_id: 2,
                    series_id: payload.seriesId
                  }
                });

              case 4:
                res = _context.sent;
                commit('setBookProducts', res.map(function (item) {
                  return (0, _objectSpread2.default)((0, _objectSpread2.default)({}, item), {}, {
                    price: item.price / 100
                  });
                }));

              case 6:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }))();
    },
    getOrder: function getOrder(_ref2, needRefresh) {
      return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee2() {
        var state, commit, res;
        return regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                state = _ref2.state, commit = _ref2.commit;

                if (!(state.order.length && !needRefresh)) {
                  _context2.next = 3;
                  break;
                }

                return _context2.abrupt("return");

              case 3:
                _context2.next = 5;
                return (0, _common.request)({
                  url: '/daoyuan/api/front/physical_orders',
                  method: 'GET'
                });

              case 5:
                res = _context2.sent;
                commit('SET_ORDER', res);

              case 7:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2);
      }))();
    },
    getSeriesData: function getSeriesData(_ref3) {
      return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee3() {
        var state, commit, res;
        return regeneratorRuntime.wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                state = _ref3.state, commit = _ref3.commit;
                _context3.next = 3;
                return (0, _common.request)({
                  url: '/dou_practice/api/catalog/cat/series',
                  data: {
                    education_level: 9,
                    tag_id: 2
                  }
                });

              case 3:
                res = _context3.sent;
                commit('setSeriesData', res);

              case 5:
              case "end":
                return _context3.stop();
            }
          }
        }, _callee3);
      }))();
    }
  }
};
exports.default = _default;

/***/ }),

/***/ "23be":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_wrap_loader_index_js_ref_18_App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("3b4e");
/* harmony import */ var _node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_wrap_loader_index_js_ref_18_App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_wrap_loader_index_js_ref_18_App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__);
/* harmony reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in _node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_wrap_loader_index_js_ref_18_App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__) if(["default"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return _node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_wrap_loader_index_js_ref_18_App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__[key]; }) }(__WEBPACK_IMPORT_KEY__));
 /* harmony default export */ __webpack_exports__["default"] = (_node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_wrap_loader_index_js_ref_18_App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ "3228":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _config = __webpack_require__("a49b");

/**
 * @file api list
 * @date 2019/08/28
 */
var prefixUrl = '/dou_practice/api';
var _default = {
  // 上传图片
  upload: _config.baseUrl + '/api/fileuploadforhighladder',
  records: prefixUrl + '/records',
  // 做题记录
  // report部分
  microVideos: prefixUrl + '/macro_videos',
  // statistics: prefixUrl + '/records/statistics',
  practices: prefixUrl + '/practices',
  frame: '/daoyuan/api/frames',
  // 运营位接口是在主站配置的
  suites: prefixUrl + '/goods',
  order: prefixUrl + '/orders',
  // 复习刷题
  exercise: prefixUrl + '/records',
  // 获取过滤题目的数量(好题本错题本和练习记录)
  practice_count_filter: prefixUrl + '/label_practice/filter',
  // checkLogin: '/api/checklogin',
  // 运营位
  // frame: '/daoyuan/api/frames',
  // 个人中心
  userCrypto: '/daoyuan/api/v2/user',
  userVideos: '/daoyuan/api/user_videos',
  bindPhone: '/dou_practice/api/user/dev_bind_mobile',
  login: '/daoyuan/api/v2/front_access_token',
  sendmobileCode: '/daoyuan/api/v2/mobile_code',
  bindDeviceCode: '/daoyuan/api/device_code',
  vipCode: prefixUrl + '/user/vip_code',
  updatePassword: '/daoyuan/api/v2/user/password',
  material: prefixUrl + '/user/material',
  matertialsNumber: prefixUrl + '/materials',
  // 首页&综合刷题&知识点刷题
  notebookStatistics: prefixUrl + '/records/statistics',
  subjectStatistics: prefixUrl + '/practices/statistics',
  gradeNumber: prefixUrl + '/grade_practice/filter',
  gradePractice: prefixUrl + '/grade_practice',
  labelNumber: prefixUrl + '/label_practice/filter',
  labelPractice: prefixUrl + '/label_practice',
  // 标签
  labels: prefixUrl + '/labels',
  topLabels: prefixUrl + '/top_labels',
  mediumLabels: prefixUrl + '/medium_labels',
  // 科目标签
  subjects: prefixUrl + '/cat_labels',
  // 必刷题目录
  mustPracticeChapters: prefixUrl + '/catalogs',
  // 查询相关全县的书籍
  getPractice_books: prefixUrl + '/user/practice_books'
};
exports.default = _default;

/***/ }),

/***/ "325c":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireWildcard = __webpack_require__("dbce").default;

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkScrollStatus = checkScrollStatus;
exports.convert = convert;
exports.copy = copy;
exports.debounce = debounce;
exports.decrypt = decrypt;
exports.deepClone = deepClone;
exports.encrypt = encrypt;
exports.formatBinary = formatBinary;
exports.getAlphabetsFromNumber = getAlphabetsFromNumber;
exports.handleVipRequest = handleVipRequest;
exports.isNewVipSubject = isNewVipSubject;
exports.isVipEbook = isVipEbook;
exports.isVipSubject = isVipSubject;
exports.navigateToWebview = navigateToWebview;
exports.scanQRCode = scanQRCode;
exports.showCaptcha = showCaptcha;
exports.throttle = throttle;
exports.transformLatexToSvg = transformLatexToSvg;
exports.userAnswerTransform = userAnswerTransform;

var _typeof2 = _interopRequireDefault(__webpack_require__("53ca"));

__webpack_require__("d3b7");

__webpack_require__("e25e");

__webpack_require__("ac1f");

__webpack_require__("5319");

__webpack_require__("a15b");

__webpack_require__("d81d");

__webpack_require__("a630");

__webpack_require__("3ca3");

__webpack_require__("26e9");

__webpack_require__("1276");

__webpack_require__("99af");

__webpack_require__("b0c0");

__webpack_require__("a434");

__webpack_require__("e9c4");

__webpack_require__("159b");

__webpack_require__("4795");

__webpack_require__("498a");

__webpack_require__("d401");

__webpack_require__("25f0");

__webpack_require__("00b4");

__webpack_require__("c975");

__webpack_require__("466d");

__webpack_require__("13d5");

__webpack_require__("caad");

__webpack_require__("2532");

var _cryptoJs = _interopRequireDefault(__webpack_require__("3452"));

var _moment = _interopRequireDefault(__webpack_require__("c1df"));

var global = _interopRequireWildcard(__webpack_require__("6f6a"));

var _md = _interopRequireDefault(__webpack_require__("6821"));

/**
 * util methods
 */
function isVipSubject(subjectId, userInfo) {
  return userInfo.vips_info.dou_practice.some(function (item) {
    return item.id === subjectId && item.expire_tm > (0, _moment.default)().unix();
  });
}

function formatBinary(num) {
  if (num instanceof Array) {
    return num;
  }

  var resArry = [];
  var xresArry = [];
  var i = 0;
  var j; //除2取余

  for (; num > 0;) {
    resArry.push(num % 2);
    num = parseInt(num / 2);
    i++;
  } //倒序排列


  for (j = i - 1; j >= 0; j--) {
    xresArry.push(resArry[j]);
  }

  var result = xresArry.join().replace(/,/g, "");

  if (result.length < 4) {
    result = Array.from(new Array(4 - result.length)).map(function (v) {
      return '0';
    }).join('') + result;
  }

  return result.split('').map(function (v) {
    return parseInt(v);
  }).reverse();
}

function isNewVipSubject(subName, userInfo) {
  var cancatVips = userInfo.vips_info.dou_practice.concat(userInfo.vips_info.dou_practice_v2);

  for (var i = 0; i < cancatVips.length; i++) {
    for (var j = i + 1; j < cancatVips.length; j++) {
      if (cancatVips[i].name == cancatVips[j].name) {
        if (cancatVips[i].expire_tm > cancatVips[j].expire_tm) {
          cancatVips.splice(j, 1);
          j--;
        } else {
          cancatVips.splice(i, 1);
          i--;
        }
      }
    }
  }

  return cancatVips.some(function (item) {
    return item.name === subName && item.expire_tm > (0, _moment.default)().unix();
  });
}

function userAnswerTransform(user_answer) {
  return parseInt(user_answer.concat().reverse().join(''), 2);
}

function isVipEbook(subjectId, bookId, vipInfo) {
  bookId = parseInt(bookId);
  subjectId = parseInt(subjectId);
  var isSubjectVip = vipInfo.dou_practice.some(function (item) {
    return item.id === subjectId && item.expire_tm > (0, _moment.default)().unix();
  });
  var isEbookVip = vipInfo.practice_book.some(function (item) {
    return item.id === bookId && item.expire_tm > (0, _moment.default)().unix();
  });
  return isSubjectVip || isEbookVip;
}

function handleVipRequest(val, url) {
  if (!val || !val.vips_info) {
    return val;
  }

  var _val$vips_info = val.vips_info,
      dou_practice = _val$vips_info.dou_practice,
      dou_practice_v2 = _val$vips_info.dou_practice_v2;
  var handleIdList = JSON.parse(JSON.stringify(dou_practice_v2));
  var catList = {
    1: 18,
    2: 20,
    3: 16,
    4: 17,
    5: 19,
    6: 2922,
    8: 849,
    7: 4063
  };
  handleIdList.map(function (item) {
    item['id'] = catList[item.id];
    return item;
  });
  var cancatVips = dou_practice.concat(handleIdList);
  var filterArr = [];
  var obj = {};
  cancatVips.forEach(function (item) {
    var key = item.id;

    if (obj[key]) {
      var curIndex = 0;
      filterArr.forEach(function (item, i) {
        if (item.id == key) {
          curIndex = i;
        }
      });

      if (item.expire_tm > obj[key].expire_tm) {
        filterArr.splice(curIndex, 1, item);
      }
    } else {
      obj[key] = item;
      filterArr.push(item);
    }
  });
  val.vips_info.dou_practice = filterArr;
  return val;
}

function convert(num) {
  return num <= 26 ? String.fromCharCode(num + 64) : convert(~~((num - 1) / 26)) + convert(num % 26 || 26);
}

function getAlphabetsFromNumber(num) {
  var str = '';

  for (var i = 0; i < 26; i++) {
    if (num & 1 << i) {
      str += String.fromCharCode(65 + i);
    }
  }

  return str;
}
/***
 * 公式转svg
 */


function transformLatexToSvg(str) {
  var color = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '666666';
  return str.replace(/\\\(([\S\s]*?)\\\)/g, function (a, b) {
    var name = (0, _md.default)(b + color);
    var url = 'https://file-1252792890.cos.ap-beijing-1.myqcloud.com/latex-image/release/' + name + '.svg';
    var errorUrl = "https://admin.dykt.com/wordapi/latex-image.svg?color=".concat(color, "&latex=").concat(encodeURIComponent(b));
    return "<img class=\"mathjax-pic\" style=\"vertical-align:middle;visibility:hidden\" onload=\"this.style.visibility='visible'\" src=\"".concat(url, "\" onerror=\"if (this.src!=='").concat(errorUrl, "') { this.src='").concat(errorUrl, "'}\"/>");
  });
}
/**
 *
 * @param {Function} func 回调
 * @param {Number} wait 等待时间
 * @param {Boolean} immediate 在timeout开始触发回调？
 * @returns {Function} function
 */


function throttle(func, wait) {
  var immediate = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
  var timeout = null;
  return function () {
    var _this = this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    if (timeout) return;

    if (immediate) {
      timeout = setTimeout(function () {
        timeout = null;
      }, wait);
      func.apply(this, args);
    } else {
      timeout = setTimeout(function () {
        func.apply(_this, args);
        timeout = null;
      }, wait);
    }
  };
}
/**
 *
 * @param {Function} func 回调
 * @param {Number} wait 等待时间
 * @param {Boolean} immediate 在timeout开始触发回调？
 * @returns {Function} function
 */


function debounce(func, wait, immediate) {
  var timeout = null;
  return function () {
    var _this2 = this;

    for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      args[_key2] = arguments[_key2];
    }

    if (timeout) {
      clearTimeout(timeout);
    }

    if (immediate) {
      var callNow = !timeout;
      timeout = setTimeout(function () {
        timeout = null;
      }, wait);

      if (callNow) {
        func.apply(this, args);
      }
    } else {
      timeout = setTimeout(function () {
        func.apply(_this2, args);
      }, wait);
    }
  };
}
/**
 *
 * @description 监听scroll-view的滚动事件，并根据滚动距离设置习题状
 * 态，在内容滚动过程中检查当前屏幕是否完全被某习题占据，如果是就展示tabbar
 * @param {object} {detail} scroll-view scroll event cb
 * @returns {undefined}
 */


function checkScrollStatus(_ref) {
  var scrollTop = _ref.detail.scrollTop;
  var list = this.practiceRect;
  var start = 0;
  var end = list.length;
  var windowHeight = this.windowHeight;
  var marginTop = list[0].top;
  this.scrollTop = scrollTop;

  function search() {
    var index = Math.floor((start + end) / 2);
    var _list$index = list[index],
        top = _list$index.top,
        bottom = _list$index.bottom;

    if (scrollTop < top - marginTop) {
      end = index - 1;
    } else if (scrollTop > bottom) {
      start = index + 1;
    } else if (bottom - scrollTop >= windowHeight) {
      this.showTabBar = true;
      this.activeIndex = index;
      return;
    } else {
      this.showTabBar = false;
      return;
    }

    search.call(this);
  }

  search.call(this);
}

var nw = null;

function showCaptcha(onResult) {
  var url = "".concat(global.constant.H5_HOST, "#/pages/personal/captcha"); // 创建webview，因为不管hide还是close后，再次调用show不起作用，所以判断下每次都创建然后close销毁

  if (!nw) {
    nw = plus.webview.create(url, 'webviewId', {
      width: '100%',
      height: '100%',
      margin: 'auto',
      background: 'transparent'
    }); // 拦截页面跳转，防止点击验证码界面的问号按钮跳出

    nw.overrideUrlLoading({
      mode: 'reject',
      match: '.*support.qq.com/.*'
    }, function (e) {});
    var loading = plus.nativeUI.showWaiting();
    nw.addEventListener('loaded', function () {
      nw.show(); // 显示窗口

      loading.close();
      loading = null;
    }, false);
    nw.addEventListener('close', function () {
      // close 销毁webview赋值为null
      nw = null;
      var data = plus.storage.getItem(global.storageKeys.CAPTCHA_DATA);
      data = typeof data === 'string' ? JSON.parse(data) : {};
      onResult(data);
    }, false);
  }
}

var key = _cryptoJs.default.enc.Utf8.parse(global.constant.AES_KEY);

function decrypt(encrypted) {
  if (!encrypted.trim()) return '';
  return _cryptoJs.default.AES.decrypt(encrypted, key, {
    mode: _cryptoJs.default.mode.ECB
  }).toString(_cryptoJs.default.enc.Utf8);
}

function encrypt(data) {
  if (!data.trim()) return '';
  return _cryptoJs.default.AES.encrypt(data, key, {
    mode: _cryptoJs.default.mode.ECB
  }).toString();
}

var mpaasScanModule;

function scanQRCode() {
  if (!mpaasScanModule) {
    mpaasScanModule = uni.requireNativePlugin('Mpaas-Scan-Module');
  }

  mpaasScanModule.mpaasScan({
    // 扫码 UI 风格，参数可为 qr、bar，默认为 qr
    type: 'qr',
    // 扫码识别类型，参数可多选，qrCode、barCode，不设置，默认识别所有
    scanType: ['qrCode'],
    hideAlbum: true // 是否隐藏相册，默认false不隐藏

  }, function (ret) {
    // 扫码出错
    if (+(ret === null || ret === void 0 ? void 0 : ret.resp_code) === 11) {
      uni.navigateTo({
        url: '/pages/index/scanFail'
      });
      return;
    }

    if (+(ret === null || ret === void 0 ? void 0 : ret.resp_code) !== 1000) {
      return;
    }

    var result = ret.resp_result;

    if (/zuoye/.test(result)) {
      uni.showModal({
        title: '温馨提示',
        content: '本二维码为道远作业专用二维码，请下载道远作业app后，使用扫码搜题功能',
        confirmText: '我知道了'
      });
      return;
    }

    if (result.indexOf('/pages/index/new-ebook?index=0') >= 0) {
      uni.switchTab({
        url: '/pages/index/ebook?index=0'
      });
      return;
    } // scene 兼容最初小程序二维码规则


    if (/scene/.test(result)) {
      result = result.replace(/practiceId=/, 'practiceId%3D');
    } // 视频权限激活卡


    if (result.match(/#\/pages\/activation\/index\?/)) {
      var search = result.split('#')[1].split('?')[1];
      uni.navigateTo({
        url: "/pages/webview/activate?".concat(search)
      });
      return;
    }

    console.log('扫码的url--->>>', result); // dykt.com
    // dykt123.com
    // daoyuanketang.com
    // myqcloud.com

    var rules = ['dykt.com', 'dykt123.com', 'daoyuanketang.com', 'myqcloud.com'];
    var rulesResult = rules.reduce(function (r, c) {
      var itm = result.indexOf(c) > 0;
      r.push(itm);
      return r;
    }, []);

    if (rulesResult.includes(true)) {
      if (/.com\/practice\//.test(result)) {
        console.log('#### result --->>>', result.split('.com/practice/#')[1]);
        result = result.split('.com/practice/#')[1];

        if (result.match(/\/pages\/micro\/viewMicro\//)) {
          var resultIndex = result.split('?')[0];
          resultIndex = '/pages\/micro\/viewMicro?';
          var params = result.split('?')[1];
          result = resultIndex + params;
        }

        uni.navigateTo({
          url: result
        });
      } else {
        plus.webview.open(result, 'another', {
          titleNView: {
            autoBackButton: true,
            titleText: '第三方应用',
            progress: {
              color: '#16a83f'
            }
          },
          backButtonAutoControl: 'close'
        });
      }
    } else {
      uni.showModal({
        title: '扫码失败',
        content: '请扫描学习相关内容二维码'
      });
    }
  });
}

function deepClone(obj) {
  var newObj = Array.isArray(obj) ? [] : {};

  if (obj && (0, _typeof2.default)(obj) === 'object') {
    for (var _key3 in obj) {
      if (obj.hasOwnProperty(_key3)) {
        newObj[_key3] = obj && (0, _typeof2.default)(obj[_key3]) === 'object' ? deepClone(obj[_key3]) : obj[_key3];
      }
    }
  }

  return newObj;
}

function copy(text) {
  var cb = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : function () {};
  uni.setClipboardData({
    data: text,
    //要被复制的内容
    success: function success() {
      //复制成功的回调函数
      uni.showToast({
        //提示
        title: '复制成功'
      });
      cb();
    }
  });
}

function navigateToWebview(_ref2) {
  var url = _ref2.url;
  var path = "".concat(global.constant.H5_HOST, "#").concat(url);
  uni.navigateTo({
    url: "/pages/practice/indexNative?url=".concat(encodeURIComponent(path))
  });
}

/***/ }),

/***/ "3b4e":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

__webpack_require__("4795");

__webpack_require__("96cf");

var _asyncToGenerator2 = _interopRequireDefault(__webpack_require__("1da1"));

var _common = __webpack_require__("8c1b");

var _config = __webpack_require__("a49b");

var _config2 = __webpack_require__("cc7e");

var timer = null;
var _default = {
  globalData: {},
  onLaunch: function onLaunch(option) {
    var _this = this;

    return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
      var isEyeProtect;
      return regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              console.log('App Launch'); // 检查是否已经开启护眼模式

              isEyeProtect = uni.getStorageSync(_common.global.storageKeys.IS_OPEN_EYE_PROTECT);

              _this.$dykt.setGlobalData('/pages/index/exceptionDepict', '/pages/personal/login', '/pages/index/globalToast');

              _this.$dykt.setBaseUrl(_config.baseUrl);

              (0, _config2.setBaseUrl)(_config.baseUrl);

              getApp().globalData.dykt.signOut = function () {
                plus.storage.removeItem(_common.global.storageKeys.TOKEN);
                uni.removeStorageSync(_common.global.storageKeys.TOKEN);
                uni.removeStorageSync(_common.global.storageKeys.IS_BIND_DEVICE);
                uni.removeStorageSync(_common.global.storageKeys.IS_DEVICE_LOGIN);
                this.$store.dispatch('personal/getInfo');
              }.bind(_this);

            case 6:
            case "end":
              return _context.stop();
          }
        }
      }, _callee);
    }))();
  },
  onShow: function onShow() {
    var _this2 = this;

    console.log('App Show');
    this.$store.dispatch('checkLogin');
    timer = setInterval(function () {
      _this2.$store.dispatch('checkLogin');
    }, 10 * 60 * 1000);
  },
  onHide: function onHide() {
    console.log('App Hide');
    clearInterval(timer);
  }
};
exports.default = _default;

/***/ }),

/***/ "3dfd":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _App_vue_vue_type_template_id_4de622d6___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("056a");
/* harmony import */ var _App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__("23be");
/* harmony reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in _App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__) if(["default"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return _App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__[key]; }) }(__WEBPACK_IMPORT_KEY__));
/* harmony import */ var _App_vue_vue_type_style_index_0_lang_scss___WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__("5c0b");
/* harmony import */ var _node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__("f0c5");

var renderjs





/* normalize component */

var component = Object(_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_3__[/* default */ "a"])(
  _App_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__["default"],
  _App_vue_vue_type_template_id_4de622d6___WEBPACK_IMPORTED_MODULE_0__[/* render */ "b"],
  _App_vue_vue_type_template_id_4de622d6___WEBPACK_IMPORTED_MODULE_0__[/* staticRenderFns */ "c"],
  false,
  null,
  null,
  null,
  false,
  _App_vue_vue_type_template_id_4de622d6___WEBPACK_IMPORTED_MODULE_0__[/* components */ "a"],
  renderjs
)

/* harmony default export */ __webpack_exports__["default"] = (component.exports);

/***/ }),

/***/ "4360":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createStore = createStore;

__webpack_require__("96cf");

var _objectSpread2 = _interopRequireDefault(__webpack_require__("5530"));

var _asyncToGenerator2 = _interopRequireDefault(__webpack_require__("1da1"));

var _defineProperty2 = _interopRequireDefault(__webpack_require__("ade3"));

__webpack_require__("d3b7");

__webpack_require__("159b");

__webpack_require__("ddb0");

__webpack_require__("ac1f");

__webpack_require__("00b4");

__webpack_require__("d81d");

__webpack_require__("b0c0");

__webpack_require__("4de4");

__webpack_require__("4e82");

__webpack_require__("c975");

__webpack_require__("b64b");

var _vue = _interopRequireDefault(__webpack_require__("e143"));

var _vuex = _interopRequireDefault(__webpack_require__("2f62"));

var _common = __webpack_require__("8c1b");

// 将 vuex 中的 module 引入
var context = __webpack_require__("d307");

var modules = {};
context.keys().forEach(function (key) {
  var name = /.\/(.+?)\.js/g.exec(key);
  modules[name[1]] = context(key).default;
});

_vue.default.use(_vuex.default);

function createStore() {
  return new _vuex.default.Store({
    strict: "production" !== 'production',
    // root state
    state: {
      userInfo: {},
      // 高中科目
      subjectList: [],
      // 初中科目
      juniorSubjectList: [],
      productionConfig: {},
      // 产品相关配置，从后台获取
      isIOS: false,
      isInUni: /(uni-app|html5plus)/i.test(navigator.userAgent),
      // uni app
      systemInfo: {},
      // 当登录或激活vip后需要回跳的页面
      jumpVipPage: '',
      jumpPracticePage: '',
      isLogin: false,
      // 是否开启护眼模式
      eyeProtect: false,
      // 设备id
      uuid: '',
      appVersion: '',
      // App更新信息
      appUpdateData: null,
      swiperList: [],
      // 高中科目
      catList: [],
      // 初中科目
      juniorCatList: [],
      catNameList: {
        1: '数学',
        2: '英语',
        3: '物理',
        4: '化学',
        5: '生物',
        6: '地理',
        7: '语文',
        8: '历史'
      },
      newCatList: [{
        id: 1,
        name: '数学'
      }, {
        id: 2,
        name: '英语'
      }, {
        id: 3,
        name: '物理'
      }, {
        id: 4,
        name: '化学'
      }, {
        id: 5,
        name: '生物'
      }, {
        id: 6,
        name: '地理'
      }, {
        id: 7,
        name: '语文'
      }, {
        id: 8,
        name: '历史'
      }],
      eBookListMap: {},
      myEbookList: [],
      appIsIpad: false,
      catIdMap: {
        18: 1,
        20: 2,
        16: 3,
        17: 4,
        19: 5,
        2922: 6,
        4063: 7,
        849: 8
      },
      subjectIdMap: {
        1: 18,
        2: 20,
        3: 16,
        4: 17,
        5: 19,
        6: 2922,
        7: 4063,
        8: 849
      },
      juniorSubjectIdMap: {
        101: 10001,
        102: 10002,
        103: 10003,
        104: 10004,
        107: 10007
      },
      educationLevelMap: {
        0: '高中',
        1: '初中'
      },
      educationLevel: uni.getStorageSync('education_level') || 0
    },
    getters: (0, _defineProperty2.default)({
      subjectMap: function subjectMap(state) {
        var result = {};
        state.subjectList.map(function (item) {
          result[item.id] = item.name;
        });
        return result;
      },
      catMapId: function catMapId(state) {
        return state.catIdMap;
      },
      returnCatName: function returnCatName(state) {
        return state.catNameList;
      },
      returnSubId: function returnSubId(state) {
        return state.subjectIdMap;
      },
      catListMap: function catListMap(state) {
        var result = {};
        state.catList.map(function (item) {
          result[item.id] = item.name;
        });
        return result;
      }
    }, "returnCatName", function returnCatName(state) {
      return state.catNameList;
    }),
    mutations: {
      SET_SUBJECT_LIST: function SET_SUBJECT_LIST(state, data) {
        state.subjectList = data.filter(function (item) {
          return item.id < 1e4;
        });
        state.juniorSubjectList = data.filter(function (item) {
          return item.id > 1e4;
        });
      },
      SET_PRODUCTION_CONFIG: function SET_PRODUCTION_CONFIG(state, data) {
        state.productionConfig = data;
      },
      SET_IS_LOGIN: function SET_IS_LOGIN(state, isLogin) {
        state.isLogin = isLogin;
      },
      SET_SYSTEM_INFO: function SET_SYSTEM_INFO(state, data) {
        state.systemInfo = data;
      },
      SET_ISIOS: function SET_ISIOS(state, value) {
        state.isIOS = value;
      },
      SET_EYE_PROTECT: function SET_EYE_PROTECT(state, value) {
        state.eyeProtect = value;
      },
      SET_DEVICE_UUID: function SET_DEVICE_UUID(state, uuid) {
        state.uuid = uuid;
      },
      SET_APP_VERSION: function SET_APP_VERSION(state, version) {
        state.appVersion = version;
      },
      SET_APP_UPDATE_DATA: function SET_APP_UPDATE_DATA(state, value) {
        state.appUpdateData = value;
      },
      SET_APP_IS_IPAD: function SET_APP_IS_IPAD(state, value) {
        state.appIsIpad = value;
      },
      SET_SWIPER_LIST: function SET_SWIPER_LIST(state, value) {
        state.swiperList = value;
      },
      SET_CAT_LIST: function SET_CAT_LIST(state, value) {
        state.catList = value.filter(function (item) {
          return item.id < 1e2;
        });
        state.juniorCatList = value.filter(function (item) {
          return item.id > 1e2 && item.id < 1e3;
        });
      },
      SET_EBOOK_LIST: function SET_EBOOK_LIST(state, value) {
        console.log('value --->>>', value); // 没有练习题的不展示

        var noEmptyData = value.res.filter(function (item) {
          return +item.practice_num;
        });
        console.log({
          noEmptyData: noEmptyData
        });
        state.eBookListMap = noEmptyData.sort(function (a, b) {
          return b.id - a.id;
        });
      },
      SET_MY_EBOOK_LIST: function SET_MY_EBOOK_LIST(state, value) {
        state.myEbookList = value.filter(function (item) {
          return +item.practice_num;
        });
      },
      SET_EDUCATION_LEVEL: function SET_EDUCATION_LEVEL(state, value) {
        state.educationLevel = value;
        uni.setStorageSync('education_level', value);
      }
    },
    actions: {
      checkLogin: function checkLogin(_ref) {
        return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
          var dispatch, commit, res;
          return regeneratorRuntime.wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                  dispatch = _ref.dispatch, commit = _ref.commit;
                  _context.next = 3;
                  return (0, _common.request)({
                    url: _common.API.login
                  });

                case 3:
                  res = _context.sent;

                  if (!res) {
                    _context.next = 7;
                    break;
                  }

                  commit('SET_IS_LOGIN', true);
                  return _context.abrupt("return");

                case 7:
                  commit('SET_IS_LOGIN', false); // 如果没有登录则调用设备码登录

                  _context.next = 10;
                  return dispatch('deviceLogin');

                case 10:
                case "end":
                  return _context.stop();
              }
            }
          }, _callee);
        }))();
      },
      getSubjects: function getSubjects(_ref2) {
        return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee2() {
          var state, commit, res;
          return regeneratorRuntime.wrap(function _callee2$(_context2) {
            while (1) {
              switch (_context2.prev = _context2.next) {
                case 0:
                  state = _ref2.state, commit = _ref2.commit;

                  if (!state.subjectList.length) {
                    _context2.next = 3;
                    break;
                  }

                  return _context2.abrupt("return");

                case 3:
                  _context2.next = 5;
                  return (0, _common.request)({
                    url: _common.API.subjects,
                    data: {
                      education_level: 9
                    }
                  }, false);

                case 5:
                  res = _context2.sent;

                  if (res) {
                    _context2.next = 8;
                    break;
                  }

                  return _context2.abrupt("return");

                case 8:
                  res.push({
                    cat_id: 2808,
                    name: '理综'
                  });
                  commit('SET_SUBJECT_LIST', res.map(function (item) {
                    item.id = item.cat_id;
                    return item;
                  }));

                case 10:
                case "end":
                  return _context2.stop();
              }
            }
          }, _callee2);
        }))();
      },
      getDeviceUUID: function getDeviceUUID(_ref3) {
        return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee3() {
          var state, commit, promise;
          return regeneratorRuntime.wrap(function _callee3$(_context3) {
            while (1) {
              switch (_context3.prev = _context3.next) {
                case 0:
                  state = _ref3.state, commit = _ref3.commit;
                  promise = new Promise(function (resolve) {
                    if (state.isIOS) {
                      plus.device.getInfo({
                        success: function success(_ref4) {
                          var uuid = _ref4.uuid;
                          commit('SET_DEVICE_UUID', uuid);
                          resolve();
                        }
                      });
                    } else {
                      var Settings = plus.android.importClass('android.provider.Settings');
                      var main = plus.android.runtimeMainActivity();
                      var ss = Settings.Secure.getString(main.getContentResolver(), Settings.Secure.ANDROID_ID);
                      commit('SET_DEVICE_UUID', ss);
                      resolve();
                    }
                  });
                  _context3.next = 4;
                  return promise;

                case 4:
                case "end":
                  return _context3.stop();
              }
            }
          }, _callee3);
        }))();
      },
      iosDeviceLogin: function iosDeviceLogin(_ref5) {
        return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee4() {
          var state, commit, res;
          return regeneratorRuntime.wrap(function _callee4$(_context4) {
            while (1) {
              switch (_context4.prev = _context4.next) {
                case 0:
                  state = _ref5.state, commit = _ref5.commit;
                  _context4.next = 3;
                  return (0, _common.request)({
                    url: _common.API.login,
                    method: 'POST',
                    data: {
                      device_code: _common.util.encrypt(state.uuid),
                      type: 3,
                      expire_type: 'long',
                      source: 'practice_visitor'
                    }
                  }).catch(function (e) {});

                case 3:
                  res = _context4.sent;

                  if (!(!res || !res.token)) {
                    _context4.next = 6;
                    break;
                  }

                  return _context4.abrupt("return");

                case 6:
                  commit('SET_IS_LOGIN', true);
                  uni.setStorageSync(_common.global.storageKeys.TOKEN, res.token);

                  if (res.user && res.user.mobile && (res.user.mobile.indexOf('10') === 0 || res.user.mobile === '****')) {
                    uni.setStorageSync(_common.global.storageKeys.IS_DEVICE_LOGIN, true);
                  }

                  plus.storage.setItem(_common.global.storageKeys.TOKEN, res.token);

                case 10:
                case "end":
                  return _context4.stop();
              }
            }
          }, _callee4);
        }))();
      },
      deviceLogin: function deviceLogin(_ref6) {
        return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee5() {
          var state, commit, source, res;
          return regeneratorRuntime.wrap(function _callee5$(_context5) {
            while (1) {
              switch (_context5.prev = _context5.next) {
                case 0:
                  state = _ref6.state, commit = _ref6.commit;

                  if (uni.getStorageSync(_common.global.storageKeys.IS_BIND_DEVICE)) {
                    _context5.next = 3;
                    break;
                  }

                  return _context5.abrupt("return");

                case 3:
                  if (!uni.getStorageSync(_common.global.storageKeys.IS_DEVICE_LOGIN)) {
                    _context5.next = 5;
                    break;
                  }

                  return _context5.abrupt("return");

                case 5:
                  if (state.isIOS) {
                    source = 'practice_ios';
                  } else {
                    source = 'practice_android';
                  }

                  _context5.next = 8;
                  return (0, _common.request)({
                    url: _common.API.login,
                    method: 'POST',
                    data: {
                      source: source,
                      device_code: _common.util.encrypt(state.uuid),
                      expire_type: 'long',
                      type: 3
                    }
                  }).catch(function (e) {});

                case 8:
                  res = _context5.sent;

                  if (!(!res || !res.token)) {
                    _context5.next = 11;
                    break;
                  }

                  return _context5.abrupt("return");

                case 11:
                  commit('SET_IS_LOGIN', true);
                  uni.setStorageSync(_common.global.storageKeys.TOKEN, res.token);
                  plus.storage.setItem(_common.global.storageKeys.TOKEN, res.token);

                case 14:
                case "end":
                  return _context5.stop();
              }
            }
          }, _callee5);
        }))();
      },
      getSwiperList: function getSwiperList(_ref7) {
        return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee6() {
          var commit, res;
          return regeneratorRuntime.wrap(function _callee6$(_context6) {
            while (1) {
              switch (_context6.prev = _context6.next) {
                case 0:
                  commit = _ref7.commit;
                  _context6.next = 3;
                  return (0, _common.request)({
                    url: "".concat(_common.API.frame, "/dou-practice-swiper")
                  });

                case 3:
                  res = _context6.sent;

                  if (res && res.frame_items) {
                    commit('SET_SWIPER_LIST', res.frame_items);
                  }

                case 5:
                case "end":
                  return _context6.stop();
              }
            }
          }, _callee6);
        }))();
      },
      getProductionConfig: function getProductionConfig(_ref8) {
        return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee7() {
          var commit, res;
          return regeneratorRuntime.wrap(function _callee7$(_context7) {
            while (1) {
              switch (_context7.prev = _context7.next) {
                case 0:
                  commit = _ref8.commit;
                  _context7.next = 3;
                  return (0, _common.request)({
                    url: '/dou_practice/api/practices/config'
                  }).catch(function (e) {});

                case 3:
                  res = _context7.sent;

                  if (res) {
                    commit('SET_PRODUCTION_CONFIG', res);
                  }

                case 5:
                case "end":
                  return _context7.stop();
              }
            }
          }, _callee7);
        }))();
      },
      // 科目id 为1234的列表
      getCatList: function getCatList(_ref9) {
        return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee8() {
          var state, commit, res;
          return regeneratorRuntime.wrap(function _callee8$(_context8) {
            while (1) {
              switch (_context8.prev = _context8.next) {
                case 0:
                  state = _ref9.state, commit = _ref9.commit;

                  if (!Object.keys(state.catList).length) {
                    _context8.next = 3;
                    break;
                  }

                  return _context8.abrupt("return");

                case 3:
                  _context8.next = 5;
                  return (0, _common.request)({
                    url: '/daoyuan/api/cats',
                    data: {
                      education_level: 9
                    }
                  }).catch(function (e) {});

                case 5:
                  res = _context8.sent;
                  res.sort(function (a, b) {
                    return a.id - b.id;
                  });
                  commit('SET_CAT_LIST', res);

                case 8:
                case "end":
                  return _context8.stop();
              }
            }
          }, _callee8);
        }))();
      },
      getEbookList: function getEbookList(_ref10, id) {
        return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee9() {
          var commit, res;
          return regeneratorRuntime.wrap(function _callee9$(_context9) {
            while (1) {
              switch (_context9.prev = _context9.next) {
                case 0:
                  commit = _ref10.commit;
                  _context9.prev = 1;
                  _context9.next = 4;
                  return (0, _common.request)({
                    url: '/dou_practice/api/all/catalog'
                  });

                case 4:
                  res = _context9.sent;
                  commit('SET_EBOOK_LIST', {
                    res: res
                  });
                  _context9.next = 11;
                  break;

                case 8:
                  _context9.prev = 8;
                  _context9.t0 = _context9["catch"](1);
                  commit('SET_EBOOK_LIST', {
                    res: []
                  });

                case 11:
                case "end":
                  return _context9.stop();
              }
            }
          }, _callee9, null, [[1, 8]]);
        }))();
      },
      getMyEbookList: function getMyEbookList(_ref11) {
        return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee10() {
          var state, commit, res, myEbookList;
          return regeneratorRuntime.wrap(function _callee10$(_context10) {
            while (1) {
              switch (_context10.prev = _context10.next) {
                case 0:
                  state = _ref11.state, commit = _ref11.commit;
                  _context10.next = 3;
                  return (0, _common.request)({
                    url: '/dou_practice/api/user/practice_books',
                    method: 'GET'
                  }, false);

                case 3:
                  res = _context10.sent;
                  myEbookList = [];
                  res.forEach(function (item) {
                    var sortData = item.practice_books.sort(function (a, b) {
                      return b.id - a.id;
                    });
                    sortData.forEach(function (subItem) {
                      subItem.labelId = item.label_id;
                      myEbookList.push(subItem);
                    });
                  });
                  commit('SET_MY_EBOOK_LIST', myEbookList);

                case 7:
                case "end":
                  return _context10.stop();
              }
            }
          }, _callee10);
        }))();
      }
    },
    modules: (0, _objectSpread2.default)({}, modules)
  });
}

/***/ }),

/***/ "56d7":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _interopRequireDefault = __webpack_require__("4ea4").default;

__webpack_require__("96cf");

__webpack_require__("d3b7");

__webpack_require__("c975");

__webpack_require__("b0c0");

__webpack_require__("ac1f");

__webpack_require__("00b4");

__webpack_require__("3ca3");

__webpack_require__("ddb0");

__webpack_require__("e9c4");

var _objectSpread2 = _interopRequireDefault(__webpack_require__("5530"));

var _slicedToArray2 = _interopRequireDefault(__webpack_require__("3835"));

var _asyncToGenerator2 = _interopRequireDefault(__webpack_require__("1da1"));

__webpack_require__("e260");

__webpack_require__("e6cf");

__webpack_require__("cca6");

__webpack_require__("a79d");

__webpack_require__("6cdc");

__webpack_require__("1c31");

__webpack_require__("921b");

var _vue = _interopRequireDefault(__webpack_require__("e143"));

var _App = _interopRequireDefault(__webpack_require__("3dfd"));

var _store = __webpack_require__("4360");

var _common = __webpack_require__("8c1b");

__webpack_require__("79ec");

var _config = __webpack_require__("a49b");

var _stat = _interopRequireDefault(__webpack_require__("ed5a"));

var _accountMonitoring = _interopRequireDefault(__webpack_require__("a8c2"));

var isScanMachine = _common.global.constant.isScanMachine;

_stat.default.setBase({
  platform: uni.getSystemInfoSync().platform,
  product: 'new_practice',
  isDev: _config.isDev
});

_vue.default.config.productionTip = false;
_App.default.mpType = 'app';

_vue.default.use(_accountMonitoring.default);

var store = (0, _store.createStore)();
_vue.default.prototype.$store = store; // 检测更新升级

function checkUpdate() {
  return _checkUpdate.apply(this, arguments);
} // 手机存储权限


function _checkUpdate() {
  _checkUpdate = (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
    var promise, widgetInfo, res, _yield$uni$request$ca, _yield$uni$request$ca2, data, wgtUrl;

    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            promise = new Promise(function (resolve, reject) {
              plus.runtime.getProperty(plus.runtime.appid, resolve);
            });
            _context.next = 3;
            return promise;

          case 3:
            widgetInfo = _context.sent;
            store.commit('SET_APP_VERSION', widgetInfo.version);
            _context.next = 7;
            return uni.getSystemInfo();

          case 7:
            res = _context.sent;
            console.log('##### 设备相关信息', res);

            if (res[1].model.indexOf('iPad') >= 0) {
              store.commit('SET_APP_IS_IPAD', true);
            }

            _context.next = 12;
            return uni.request({
              url: _common.global.constant.CHECK_UPDATE_URL,
              data: {
                version: widgetInfo.version,
                name: widgetInfo.name,
                app: 'new_practice',
                platform: res[1].platform
              }
            }).catch(function (e) {});

          case 12:
            _yield$uni$request$ca = _context.sent;
            _yield$uni$request$ca2 = (0, _slicedToArray2.default)(_yield$uni$request$ca, 2);
            data = _yield$uni$request$ca2[1].data;

            if (data.update) {
              _context.next = 17;
              break;
            }

            return _context.abrupt("return");

          case 17:
            if (!(data.pkgUrl && data.pkgUrl[plus.os.name.toLowerCase()])) {
              _context.next = 20;
              break;
            }

            store.commit('SET_APP_UPDATE_DATA', data);
            return _context.abrupt("return");

          case 20:
            if (data.wgtUrl && data.wgtUrl[plus.os.name.toLowerCase()]) {
              wgtUrl = data.wgtUrl[plus.os.name.toLowerCase()];
            }

            if (wgtUrl) {
              _context.next = 23;
              break;
            }

            return _context.abrupt("return");

          case 23:
            uni.downloadFile({
              url: wgtUrl,
              success: function success(downloadResult) {
                if (downloadResult.statusCode !== 200) {
                  return;
                }

                plus.nativeUI.toast('应用更新下载完成，马上重启~');
                plus.runtime.install(downloadResult.tempFilePath, {
                  force: false
                }, function () {
                  plus.runtime.restart();
                }, function (e) {
                  console.error('install fail...', e);
                });
              }
            });

          case 24:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _checkUpdate.apply(this, arguments);
}

function showStoragePermission() {
  return _showStoragePermission.apply(this, arguments);
} // 手机状态权限


function _showStoragePermission() {
  _showStoragePermission = (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee2() {
    return regeneratorRuntime.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            return _context2.abrupt("return", new Promise(function (resolve) {
              plus.nativeUI.confirm('道远题库将获取设备上的照片、媒体内容和文件，用于支持拍照笔记功能，我们不会将您的信息泄露给第三方', function () {
                plus.android.requestPermissions(['android.permission.READ_EXTERNAL_STORAGE', 'android.permission.READ_EXTERNAL_STORAGE'], function (_ref) {
                  var granted = _ref.granted,
                      deniedPresent = _ref.deniedPresent,
                      deniedAlways = _ref.deniedAlways;
                  console.log('手机存储权限：', granted, deniedPresent, deniedAlways);
                  resolve();
                });
              }, {
                buttons: ['我知道了']
              });
            }));

          case 1:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2);
  }));
  return _showStoragePermission.apply(this, arguments);
}

function showPhoneStatePermission() {
  return _showPhoneStatePermission.apply(this, arguments);
} // 开屏用户和隐私协议


function _showPhoneStatePermission() {
  _showPhoneStatePermission = (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee3() {
    return regeneratorRuntime.wrap(function _callee3$(_context3) {
      while (1) {
        switch (_context3.prev = _context3.next) {
          case 0:
            return _context3.abrupt("return", new Promise(function (resolve) {
              plus.nativeUI.confirm('道远题库将获取设备信息，包括读取通话状态和移动网络信息，以进行数据统计提升用户体验。我们不会将您的信息泄露给第三方', function () {
                plus.android.requestPermissions(['android.permission.READ_PHONE_STATE', 'android.permission.ACCESS_NETWORK_STATE', 'android.permission.ACCESS_WIFI_STATE'], function (_ref2) {
                  var granted = _ref2.granted,
                      deniedPresent = _ref2.deniedPresent,
                      deniedAlways = _ref2.deniedAlways;
                  console.log('手机状态权限：', granted, deniedPresent, deniedAlways);
                  resolve();
                });
              }, {
                buttons: ['我知道了']
              });
            }));

          case 1:
          case "end":
            return _context3.stop();
        }
      }
    }, _callee3);
  }));
  return _showPhoneStatePermission.apply(this, arguments);
}

function openProtocol() {
  return Promise.resolve(true);
  var nw = plus.webview.open("".concat(_common.global.constant.H5_HOST, "#/pages/index/protocol"), 'protocol', {
    popGesture: 'none',
    backButtonAutoControl: 'none',
    background: 'rgba(0,0,0,0.5)'
  });
  return new Promise(function (resolve, reject) {
    nw.addEventListener('close', function () {
      resolve(true);
    });
    nw.addEventListener('hide', reject);
  });
}

function initApp() {
  return _initApp.apply(this, arguments);
}

function _initApp() {
  _initApp = (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee4() {
    var _store$state$systemIn, system, platform, loading, app;

    return regeneratorRuntime.wrap(function _callee4$(_context4) {
      while (1) {
        switch (_context4.prev = _context4.next) {
          case 0:
            store.commit('SET_SYSTEM_INFO', uni.getSystemInfoSync());
            _store$state$systemIn = store.state.systemInfo, system = _store$state$systemIn.system, platform = _store$state$systemIn.platform;
            store.commit('SET_ISIOS', /ios/i.test(system) || platform === 'ios');
            loading = plus.nativeUI.showWaiting('加载页面中');
            _context4.next = 6;
            return Promise.all([store.dispatch('getSubjects'), store.dispatch('personal/getInfo'), store.dispatch('getProductionConfig')]).catch(function (e) {
              uni.report('error-ios-log', JSON.stringify(e));
            });

          case 6:
            loading.close();
            app = new _vue.default((0, _objectSpread2.default)({
              store: store
            }, _App.default));
            app.$mount();

          case 9:
          case "end":
            return _context4.stop();
        }
      }
    }, _callee4);
  }));
  return _initApp.apply(this, arguments);
}

if (window.plus) {
  initApp();
} else {
  document.addEventListener('plusready', initApp);
}

/***/ }),

/***/ "5768":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _default = {
  "pages": {
    "pages/index/protocol": {
      "navigationBarTitleText": "道远视频书"
    },
    "pages/practice/oldPractice": {
      "onReachBottomDistance": 300,
      "navigationStyle": "custom"
    },
    "pages/index/introduce": {
      "navigationBarTitleText": "视频教辅"
    },
    "pages/matter/myIntro": {
      "navigationBarTitleText": "视频课"
    },
    "pages/vip/protocol": {
      "navigationBarTitleText": "付费协议"
    },
    "pages/practice/newIndexH5": {
      "onReachBottomDistance": 300,
      "navigationStyle": "custom"
    },
    "pages/micro/viewMicro": {
      "navigationStyle": "custom"
    },
    "pages/practice/indexH5": {
      "onReachBottomDistance": 300,
      "navigationStyle": "custom"
    },
    "pages/practice/multiPractice": {
      "navigationBarTextStyle": "white",
      "navigationStyle": "custom"
    },
    "pages/practice/records": {
      "navigationBarTitleText": "错题本"
    },
    "pages/exercise/book": {},
    "pages/paper/paper": {
      "navigationStyle": "custom"
    },
    "pages/personal/captcha": {
      "navigationStyle": "custom"
    },
    "pages/promotion/invitation": {
      "navigationStyle": "custom"
    },
    "pages/promotion/rules": {
      "navigationStyle": "custom"
    },
    "pages/promotion/myCourse": {
      "navigationStyle": "custom"
    },
    "pages/personal/agreement": {
      "navigationBarTitleText": "道远视频书用户协议"
    },
    "pages/personal/privacy": {
      "navigationBarTitleText": "道远视频书隐私协议"
    },
    "pages/index/exceptionDepict": {
      "navigationBarTitleText": "账号异常说明",
      "titleNView": {
        "autoBackButton": "false",
        "buttons": [{
          "index": "0",
          "fontSize": "48rpx",
          "text": "",
          "float": "left",
          "fontSrc": "/static/iconfont.ttf"
        }]
      }
    },
    "pages/index/globalToast": {
      "backgroundColor": "transparent",
      "background": "transparent",
      "animationType": "fade-in",
      "navigationStyle": "custom"
    },
    "pages/webview/activate": {
      "navigationBarTitleText": "视频权限激活",
      "titleNView": {
        "autoBackButton": "false",
        "buttons": [{
          "index": "0",
          "fontSize": "48rpx",
          "text": "",
          "float": "left",
          "fontSrc": "/static/iconfont.ttf"
        }]
      }
    },
    "pages/matter/bookMall": {
      "navigationBarTitleText": "视频书商城",
      "titleNView": {
        "autoBackButton": "false",
        "buttons": [{
          "index": "0",
          "fontSize": "48rpx",
          "text": "",
          "float": "left",
          "fontSrc": "/static/iconfont.ttf"
        }]
      }
    }
  },
  "globalStyle": {
    "navigationStyle": "custom",
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "道远刷题",
    "navigationBarBackgroundColor": "#FFFFFF",
    "backgroundColor": "#FFFFFF",
    "pageOrientation": "auto",
    "softinputNavBar": "none",
    "scrollIndicator": "none"
  }
};
exports.default = _default;

/***/ }),

/***/ "5bee":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _toConsumableArray2 = _interopRequireDefault(__webpack_require__("2909"));

var _objectSpread2 = _interopRequireDefault(__webpack_require__("5530"));

__webpack_require__("d3b7");

__webpack_require__("4de4");

__webpack_require__("d81d");

__webpack_require__("b64b");

__webpack_require__("99af");

var _moment = _interopRequireDefault(__webpack_require__("c1df"));

var _common = __webpack_require__("8c1b");

/**
 * @file 个人中心所需信息
 * @date 2019/9/18
 *
 */
var _default = {
  // 注册在该模块内
  namespaced: true,
  state: {
    userInfo: {},
    from: ''
  },
  getters: {
    getFrom: function getFrom(state) {
      return state.from;
    },
    // 用户是否完善个人信息
    isFillInfo: function isFillInfo(state) {
      var _state$userInfo = state.userInfo,
          address = _state$userInfo.address,
          finalTm = _state$userInfo.finalTm,
          school = _state$userInfo.school,
          division = _state$userInfo.division;
      return !!(address && finalTm && school && division);
    },
    isVip: function isVip(state) {
      var vipsInfo = state.userInfo.vips_info || {};
      var now = (0, _moment.default)().unix();
      var vipTypeKeys = ['dou_practice', 'college_entrance_exam_paper', 'dou_practice_v2'];
      var result = vipTypeKeys.some(function (key) {
        if (key === 'college_entrance_exam_paper') {
          var _vipsInfo$key;

          return (_vipsInfo$key = vipsInfo[key]) === null || _vipsInfo$key === void 0 ? void 0 : _vipsInfo$key.some(function (cat) {
            return cat.paper_count > 9000 && cat.expire_tm > now;
          });
        } else {
          var _vipsInfo$key2;

          return (_vipsInfo$key2 = vipsInfo[key]) === null || _vipsInfo$key2 === void 0 ? void 0 : _vipsInfo$key2.some(function (cat) {
            return cat.expire_tm > now;
          });
        }
      });
      return result;
    },
    vipsInfo: function vipsInfo(state) {
      if (!state.userInfo.vips_info) {
        return {};
      }

      var now = (0, _moment.default)().unix();
      var vipsInfo = state.userInfo.vips_info;
      var res = {};

      for (var key in vipsInfo) {
        if (vipsInfo[key].length) {
          var arr = [];

          if (key === 'college_entrance_exam_paper') {
            arr = vipsInfo[key].filter(function (item) {
              return item.paper_count > 9000;
            });
          } else {
            arr = vipsInfo[key];
          }

          arr = arr.map(function (item) {
            return (0, _objectSpread2.default)((0, _objectSpread2.default)({}, item), {}, {
              isExpired: item.expire_tm < now
            });
          });

          if (arr.length) {
            res[key] = arr;
          }
        }
      }

      return res;
    },
    subjectVipMap: function subjectVipMap(state) {
      if (!state.userInfo.vips_info) {
        return {};
      }

      var now = (0, _moment.default)().unix();
      var result = {};
      state.userInfo.vips_info.dou_practice.map(function (item) {
        result[item.id] = {
          expire_tm: item.expire_tm,
          isExpired: item.expire_tm < now
        };
      });
      return result;
    },
    bookVipMap: function bookVipMap(state) {
      if (!state.userInfo.vips_info) {
        return {};
      }

      var now = (0, _moment.default)().unix();
      var result = {};
      state.userInfo.vips_info.practice_book.map(function (item) {
        result[item.id] = {
          expire_tm: item.expire_tm,
          isExpired: item.expire_tm < now
        };
      });
      return result;
    }
  },
  mutations: {
    setInfo: function setInfo(state, res) {
      if (!Object.keys(res).length) {
        state.userInfo = {};
        return;
      }

      state.userInfo = (0, _objectSpread2.default)((0, _objectSpread2.default)({}, res), {}, {
        vips_info: (0, _objectSpread2.default)((0, _objectSpread2.default)({}, res.vips_info), {}, {
          practice_book: [].concat((0, _toConsumableArray2.default)(res.vips_info.practice_book), (0, _toConsumableArray2.default)(res.vips_info.practice_book_physical))
        })
      });
    },
    updateInfo: function updateInfo(state, data) {
      state.userInfo = Object.assign({}, state.userInfo, data);
      console.log('useInfo', state.userInfo);
    },
    setFrom: function setFrom(state, data) {
      state.from = data;
    }
  },
  actions: {
    getInfo: function getInfo(_ref) {
      var commit = _ref.commit;
      // 获取用户个人信息
      return (0, _common.request)({
        url: _common.API.userCrypto
      }, false).then(function (res) {
        var info = (0, _objectSpread2.default)((0, _objectSpread2.default)({}, res), {}, {
          account: _common.util.decrypt(res.account),
          address: _common.util.decrypt(res.address),
          nick: _common.util.decrypt(res.nick)
        });
        commit('setInfo', info);
        commit('SET_IS_LOGIN', true, {
          root: true
        });

        if (typeof uni.getStorageSync('education_level') !== 'number') {
          commit('SET_EDUCATION_LEVEL', res.education_level, {
            root: true
          });
        }

        return info;
      }).catch(function (e) {
        commit('setInfo', {});
        commit('SET_IS_LOGIN', false, {
          root: true
        });
      });
    }
  }
};
exports.default = _default;

/***/ }),

/***/ "5c0b":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_dcloudio_vue_cli_plugin_uni_packages_h5_vue_style_loader_index_js_ref_9_oneOf_1_0_node_modules_css_loader_dist_cjs_js_ref_9_oneOf_1_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_loaders_stylePostLoader_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_2_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_3_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_4_node_modules_sass_loader_dist_cjs_js_ref_9_oneOf_1_5_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_6_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_wrap_loader_index_js_ref_18_App_vue_vue_type_style_index_0_lang_scss___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("6592");
/* harmony import */ var _node_modules_dcloudio_vue_cli_plugin_uni_packages_h5_vue_style_loader_index_js_ref_9_oneOf_1_0_node_modules_css_loader_dist_cjs_js_ref_9_oneOf_1_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_loaders_stylePostLoader_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_2_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_3_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_4_node_modules_sass_loader_dist_cjs_js_ref_9_oneOf_1_5_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_6_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_wrap_loader_index_js_ref_18_App_vue_vue_type_style_index_0_lang_scss___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_dcloudio_vue_cli_plugin_uni_packages_h5_vue_style_loader_index_js_ref_9_oneOf_1_0_node_modules_css_loader_dist_cjs_js_ref_9_oneOf_1_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_loaders_stylePostLoader_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_2_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_3_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_4_node_modules_sass_loader_dist_cjs_js_ref_9_oneOf_1_5_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_6_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_wrap_loader_index_js_ref_18_App_vue_vue_type_style_index_0_lang_scss___WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */
 /* unused harmony default export */ var _unused_webpack_default_export = (_node_modules_dcloudio_vue_cli_plugin_uni_packages_h5_vue_style_loader_index_js_ref_9_oneOf_1_0_node_modules_css_loader_dist_cjs_js_ref_9_oneOf_1_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_loaders_stylePostLoader_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_2_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_3_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_4_node_modules_sass_loader_dist_cjs_js_ref_9_oneOf_1_5_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_6_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_wrap_loader_index_js_ref_18_App_vue_vue_type_style_index_0_lang_scss___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ "62d4":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

__webpack_require__("99af");

var _request = _interopRequireDefault(__webpack_require__("cb4b"));

var _api = _interopRequireDefault(__webpack_require__("3228"));

/**
 * @file report相关数据
 * @date 2019/09/13
 *
 */
var _default = {
  // 注册在该模块内
  namespaced: true,
  state: {
    videos: {},
    label: ''
  },
  mutations: {
    setVideos: function setVideos(state, data) {
      state.videos = data;
    },
    setLabel: function setLabel(state, data) {
      state.label = data;
    }
  },
  actions: {
    getVideos: function getVideos(_ref, _ref2) {
      var commit = _ref.commit;
      var markId = _ref2.markId,
          labelId = _ref2.labelId;
      var url;

      if (markId) {
        url = "".concat(_api.default.microVideos, "/").concat(markId);
      } else if (labelId) {
        url = "".concat(_api.default.labels, "/").concat(labelId, "/macro_videos");
      } // 获取习题微课


      return (0, _request.default)({
        url: url,
        method: 'GET'
      }).then(function (res) {
        if (res) {
          commit('setVideos', res);
        }
      }).catch(function (err) {
        console.log("error: ".concat(err));
      });
    }
  }
};
exports.default = _default;

/***/ }),

/***/ "6592":
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__("6b86");
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var add = __webpack_require__("4f06").default
var update = add("15d7e2ce", content, true, {"sourceMap":false,"shadowMode":false});

/***/ }),

/***/ "6b86":
/***/ (function(module, exports, __webpack_require__) {

// Imports
var ___CSS_LOADER_API_IMPORT___ = __webpack_require__("24fb");
exports = ___CSS_LOADER_API_IMPORT___(false);
// Module
exports.push([module.i, "@charset \"UTF-8\";\n/**\n * 这里是uni-app内置的常用样式变量\n *\n * uni-app 官方扩展插件及插件市场（https://ext.dcloud.net.cn）上很多三方插件均使用了这些样式变量\n * 如果你是插件开发者，建议你使用scss预处理，并在插件代码中直接使用这些变量（无需 import 这个文件），方便用户通过搭积木的方式开发整体风格一致的App\n *\n */\n/**\n * 如果你是App开发者（插件使用者），你可以通过修改这些变量来定制自己的插件主题，实现自定义主题功能\n *\n * 如果你的项目同样使用了scss预处理，你也可以直接在你的 scss 代码中使用如下变量，同时无需 import 这个文件\n */\n/* 颜色变量 */\n/* 行为相关颜色 */\n/* 文字基本颜色 */\n/* 背景颜色 */\n/* 边框颜色 */\n/* 尺寸变量 */\n/* 文字尺寸 */\n/* 图片尺寸 */\n/* Border Radius */\n/* 水平间距 */\n/* 垂直间距 */\n/* 透明度 */\n/* 文章场景相关 */.mathjax-pic{zoom:.8}\n/*每个页面公共css */.MathJax_SVG{outline:0}uni-toast{z-index:100000!important}uni-image{will-change:transform}::-webkit-scrollbar{display:none;width:0;height:0;color:rgba(0,0,0,0)}.agreement-container{-webkit-box-sizing:border-box;box-sizing:border-box;font-size:%?30?%;padding:%?12?% %?20?%}.agreement-container p{margin:%?20?% 0}.practice-content-text-source-color{color:#9f9fa6;font-size:%?26?%}", ""]);
// Exports
module.exports = exports;


/***/ }),

/***/ "6c1e":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = report;

__webpack_require__("99af");

__webpack_require__("b0c0");

var _defineProperty2 = _interopRequireDefault(__webpack_require__("ade3"));

var _reportList;

var reportList = (_reportList = {
  good_exercise_from_home: '首页进入好题本次数',
  wrong_exercise_from_home: '首页进入错题本次数',
  do_exercise_from_home: '首页进入做题记录次数',
  go_vip_from_home: '由点击首页banner进入页面',
  select_must_practice_not_vip: '非VIP首页选择必刷题',
  select_must_practice_vip: 'VIP首页选择必刷题',
  select_knowledge_practice_not_vip: '非VIP首页选择知识点刷题',
  select_knowledge_practice_vip: 'VIP首页选择知识点刷题',
  view_must_practice_not_vip: '非VIP用户进入必刷题',
  view_must_practice_vip: 'VIP用户进入必刷题',
  view_knowledge_practice_vip_top: 'VIP点击模块中“刷全部”进入',
  view_knowledge_practice_vip_item: 'VIP点击目录内容进入',
  view_knowledge_practice_vip_bottom: 'VIP点击右下底部"刷全部"进入',
  view_knowledge_practice_not_vip_top: '非VIP点击模块中“刷全部”进入',
  view_knowledge_practice_not_vip_item: '非VIP点击目录内容进入',
  view_knowledge_practice_not_vip_bottom: '非VIP点击右下底部"刷全部"进入',
  make_order: '选择科目并点击购买开通',
  open_vip_button: '点击“开通VIP”按钮进入页面',
  view_knowledge_practice_vip: 'VIP进入智能刷题做题页',
  view_knowledge_practice_not_vip: '非VIP进入智能刷题做题页',
  wrong_exercise_from_report: '由测试报告中进入错题本',
  open_vip_tab: '打开开通会员Tab',
  open_vip_bottom: '点击页面底部按钮次数',
  open_vip_top: '点击页面顶部按钮次数',
  confirm_pay: '勾选付款协议并点击确认支付',
  buy_success: '自定义支付成功',
  buy_fail: '自定义支付失败',
  submit_good: '好题本点击提交选项次数',
  submit_wrong: '错题本点击提交选项次数',
  submit_do: '做题记录点击提交选项次数',
  must_submit_vip: 'VIP点击必刷题“提交选项”次数',
  must_submit_not_vip: '非VIP点击必刷题“提交选项”次数',
  knowledge_submit_vip: 'VIP点击智能刷题“提交选项”次数',
  knowledge_submit_not_vip: '非VIP点击智能刷题“提交选项”次数',
  analysis_good: '好题本点击图文/视频解析次数',
  analysis_wrong: '错题本点击图文/视频解析次数',
  analysis_do: '做题记录点击图文/视频解析次数',
  must_analysis_vip: 'VIP点击必刷题“图文/视频解析”次数',
  must_video_analysis_vip: 'VIP点击必刷题“视频解析”次数',
  must_analysis_not_vip: '非VIP点击必刷题“图文/视频解析”次数',
  must_video_analysis_not_vip: '非VIP点击必刷题“视频解析”次数',
  knowledge_analysis_vip: 'VIP点击知识点刷题“图文/视频解析”次数',
  knowledge_video_analysis_vip: 'VIP点击知识点刷题“视频解析”次数',
  knowledge_analysis_not_vip: '非VIP点击知识点刷题“图文/视频解析”次数',
  knowledge_video_analysis_not_vip: '非VIP点击知识点刷题“视频解析”次数',
  play_good: '好题本播放视频次数',
  play_wrong: '错题本播放视频次数',
  play_do: '做题记录播放视频次数',
  must_play_video_vip: 'VIP必刷题播放视频',
  must_play_video_not_vip: '非VIP必刷题播放视频',
  knowledge_play_video_vip: 'VIP知识点刷题播放视频',
  knowledge_play_video_not_vip: '非VIP知识点刷题播放视频',
  view_good_exercise: '好题本做题页PV',
  view_wrong_exercise: '错题本做题页PV',
  view_practice_from_good_exercise_bottom: '好题本点击底部“开始刷题”按钮进入次数',
  view_practice_from_wrong_exercise_bottom: '错题本点击底部“开始刷题”按钮进入次数',
  view_practice_from_good_exercise_item: '好题本点击题干进入做题页面',
  view_practice_from_wrong_exercise_item: '错题本点击题干进入做题页面',
  view_record_exercise: '做题记录做题目录PV',
  view_practice_from_do_exercise_item: '做题记录点击底部开始刷题进入做题页面'
}, (0, _defineProperty2.default)(_reportList, "view_practice_from_do_exercise_item", '做题记录点击题干进入做题页面'), (0, _defineProperty2.default)(_reportList, "donwload_paper", '下载试卷'), _reportList);

function report(id, subject, name) {
  if (name) uni.report(id, name);else uni.report("".concat(id).concat(subject ? "_".concat(subject.id) : ''), "".concat(reportList[id]).concat(subject ? "".concat(subject.name) : ''));
  if (name) console.log(id, name);else console.log("".concat(id).concat(subject ? "_".concat(subject.id) : ''), "".concat(reportList[id]).concat(subject ? "".concat(subject.name) : ''));
}

/***/ }),

/***/ "6cdc":
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(global) {

var _interopRequireDefault = __webpack_require__("4ea4").default;

var _vue = _interopRequireDefault(__webpack_require__("e143"));

global['____EB37CAF____'] = true;
delete global['____EB37CAF____'];
global.__uniConfig = {
  "tabBar": {
    "color": "#666",
    "selectedColor": "#222222",
    "backgroundColor": "#FFFFFF",
    "borderStyle": "#eee",
    "fontSize": "11px",
    "iconWidth": "25px",
    "list": [{
      "pagePath": "pages/index/index",
      "text": "学习",
      "iconPath": "/static/img/tabbar/tab-index.png",
      "selectedIconPath": "/static/img/tabbar/tab-index-active.png",
      "redDot": false,
      "badge": ""
    }, {
      "pagePath": "pages/index/ebook",
      "text": "工具书",
      "iconPath": "/static/img/tabbar/tab-paper.png",
      "selectedIconPath": "/static/img/tabbar/tab-paper-active.png",
      "redDot": false,
      "badge": ""
    }, {
      "pagePath": "pages/personal/index",
      "text": "我的",
      "iconPath": "/static/img/tabbar/tab-mine.png",
      "selectedIconPath": "/static/img/tabbar/tab-mine-active.png",
      "redDot": false,
      "badge": ""
    }]
  },
  "globalStyle": {
    "navigationStyle": "custom",
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "道远刷题",
    "navigationBarBackgroundColor": "#FFFFFF",
    "backgroundColor": "#FFFFFF",
    "pageOrientation": "auto",
    "softinputNavBar": "none",
    "scrollIndicator": "none"
  },
  "condition": {
    "current": 0,
    "list": [{
      "name": "",
      "path": "",
      "query": ""
    }]
  }
};
global.__uniConfig.compilerVersion = '3.1.8';
global.__uniConfig.router = {
  "mode": "hash",
  "base": "/"
};
global.__uniConfig.publicPath = "./";
global.__uniConfig['async'] = {
  "loading": "AsyncLoading",
  "error": "AsyncError",
  "delay": 200,
  "timeout": 60000
};
global.__uniConfig.debug = false;
global.__uniConfig.networkTimeout = {
  "request": 60000,
  "connectSocket": 60000,
  "uploadFile": 60000,
  "downloadFile": 60000
};
global.__uniConfig.sdkConfigs = {};
global.__uniConfig.qqMapKey = "XVXBZ-NDMC4-JOGUS-XGIEE-QVHDZ-AMFV2";
global.__uniConfig.nvue = {
  "flex-direction": "column"
};
global.__uniConfig.__webpack_chunk_load__ = __webpack_require__.e;

_vue.default.component('pages-index-protocol', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-index-protocol */ "pages-index-protocol").then((function () {
      return resolve(__webpack_require__("8e9d"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-practice-oldPractice', function (resolve) {
  var component = {
    component: Promise.all(/* require.ensure | pages-practice-oldPractice */[__webpack_require__.e("pages-exercise-book~pages-paper-paper~pages-practice-indexH5~pages-practice-multiPractice~pages-prac~af8aa605"), __webpack_require__.e("pages-paper-paper~pages-practice-multiPractice~pages-practice-oldPractice"), __webpack_require__.e("pages-practice-indexH5~pages-practice-multiPractice~pages-practice-oldPractice"), __webpack_require__.e("pages-practice-multiPractice~pages-practice-oldPractice"), __webpack_require__.e("pages-practice-oldPractice")]).then((function () {
      return resolve(__webpack_require__("7fed"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-index-introduce', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-index-introduce */ "pages-index-introduce").then((function () {
      return resolve(__webpack_require__("b641"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-matter-myIntro', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-matter-myIntro */ "pages-matter-myIntro").then((function () {
      return resolve(__webpack_require__("ee26"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-vip-protocol', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-vip-protocol */ "pages-vip-protocol").then((function () {
      return resolve(__webpack_require__("fd47"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-practice-newIndexH5', function (resolve) {
  var component = {
    component: Promise.all(/* require.ensure | pages-practice-newIndexH5 */[__webpack_require__.e("pages-exercise-book~pages-paper-paper~pages-practice-indexH5~pages-practice-multiPractice~pages-prac~af8aa605"), __webpack_require__.e("pages-paper-paper~pages-practice-indexH5~pages-practice-newIndexH5~pages-practice-records"), __webpack_require__.e("pages-practice-newIndexH5")]).then((function () {
      return resolve(__webpack_require__("bff3"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-micro-viewMicro', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-micro-viewMicro */ "pages-micro-viewMicro").then((function () {
      return resolve(__webpack_require__("8c37"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-practice-indexH5', function (resolve) {
  var component = {
    component: Promise.all(/* require.ensure | pages-practice-indexH5 */[__webpack_require__.e("pages-exercise-book~pages-paper-paper~pages-practice-indexH5~pages-practice-multiPractice~pages-prac~af8aa605"), __webpack_require__.e("pages-paper-paper~pages-practice-indexH5~pages-practice-newIndexH5~pages-practice-records"), __webpack_require__.e("pages-practice-indexH5~pages-practice-multiPractice~pages-practice-oldPractice"), __webpack_require__.e("pages-practice-indexH5")]).then((function () {
      return resolve(__webpack_require__("8fa7"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-practice-multiPractice', function (resolve) {
  var component = {
    component: Promise.all(/* require.ensure | pages-practice-multiPractice */[__webpack_require__.e("pages-exercise-book~pages-paper-paper~pages-practice-indexH5~pages-practice-multiPractice~pages-prac~af8aa605"), __webpack_require__.e("pages-paper-paper~pages-practice-multiPractice~pages-practice-oldPractice"), __webpack_require__.e("pages-practice-indexH5~pages-practice-multiPractice~pages-practice-oldPractice"), __webpack_require__.e("pages-practice-multiPractice~pages-practice-oldPractice"), __webpack_require__.e("pages-practice-multiPractice")]).then((function () {
      return resolve(__webpack_require__("cdde"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-practice-records', function (resolve) {
  var component = {
    component: Promise.all(/* require.ensure | pages-practice-records */[__webpack_require__.e("pages-exercise-book~pages-paper-paper~pages-practice-indexH5~pages-practice-multiPractice~pages-prac~af8aa605"), __webpack_require__.e("pages-paper-paper~pages-practice-indexH5~pages-practice-newIndexH5~pages-practice-records"), __webpack_require__.e("pages-practice-records")]).then((function () {
      return resolve(__webpack_require__("9f4a"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-exercise-book', function (resolve) {
  var component = {
    component: Promise.all(/* require.ensure | pages-exercise-book */[__webpack_require__.e("pages-exercise-book~pages-paper-paper~pages-practice-indexH5~pages-practice-multiPractice~pages-prac~af8aa605"), __webpack_require__.e("pages-exercise-book")]).then((function () {
      return resolve(__webpack_require__("ebca"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-paper-paper', function (resolve) {
  var component = {
    component: Promise.all(/* require.ensure | pages-paper-paper */[__webpack_require__.e("pages-exercise-book~pages-paper-paper~pages-practice-indexH5~pages-practice-multiPractice~pages-prac~af8aa605"), __webpack_require__.e("pages-paper-paper~pages-practice-indexH5~pages-practice-newIndexH5~pages-practice-records"), __webpack_require__.e("pages-paper-paper~pages-practice-multiPractice~pages-practice-oldPractice"), __webpack_require__.e("pages-paper-paper")]).then((function () {
      return resolve(__webpack_require__("77fd"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-personal-captcha', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-personal-captcha */ "pages-personal-captcha").then((function () {
      return resolve(__webpack_require__("b778"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-promotion-invitation', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-promotion-invitation */ "pages-promotion-invitation").then((function () {
      return resolve(__webpack_require__("8f86"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-promotion-rules', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-promotion-rules */ "pages-promotion-rules").then((function () {
      return resolve(__webpack_require__("c315"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-promotion-myCourse', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-promotion-myCourse */ "pages-promotion-myCourse").then((function () {
      return resolve(__webpack_require__("101a"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-personal-agreement', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-personal-agreement */ "pages-personal-agreement").then((function () {
      return resolve(__webpack_require__("2a50"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-personal-privacy', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-personal-privacy */ "pages-personal-privacy").then((function () {
      return resolve(__webpack_require__("b6c6"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-index-exceptionDepict', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-index-exceptionDepict */ "pages-index-exceptionDepict").then((function () {
      return resolve(__webpack_require__("eab5"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-index-globalToast', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-index-globalToast */ "pages-index-globalToast").then((function () {
      return resolve(__webpack_require__("6c80"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-webview-activate', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-webview-activate */ "pages-webview-activate").then((function () {
      return resolve(__webpack_require__("2891"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

_vue.default.component('pages-matter-bookMall', function (resolve) {
  var component = {
    component: __webpack_require__.e(/* require.ensure | pages-matter-bookMall */ "pages-matter-bookMall").then((function () {
      return resolve(__webpack_require__("6cb0"));
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe),
    delay: __uniConfig['async'].delay,
    timeout: __uniConfig['async'].timeout
  };

  if (__uniConfig['async']['loading']) {
    component.loading = {
      name: 'SystemAsyncLoading',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['loading']);
      }
    };
  }

  if (__uniConfig['async']['error']) {
    component.error = {
      name: 'SystemAsyncError',
      render: function render(createElement) {
        return createElement(__uniConfig['async']['error']);
      }
    };
  }

  return component;
});

global.__uniRoutes = [{
  path: '/',
  alias: '/pages/index/protocol',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({
          isQuit: true,
          isEntry: true
        }, __uniConfig.globalStyle, {
          "navigationBarTitleText": "道远视频书"
        })
      }, [createElement('pages-index-protocol', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    id: 1,
    name: 'pages-index-protocol',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/index/protocol',
    isQuit: true,
    isEntry: true,
    windowTop: 0
  }
}, {
  path: '/pages/practice/oldPractice',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "onReachBottomDistance": 300,
          "navigationStyle": "custom"
        })
      }, [createElement('pages-practice-oldPractice', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-practice-oldPractice',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/practice/oldPractice',
    windowTop: 0
  }
}, {
  path: '/pages/index/introduce',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationBarTitleText": "视频教辅"
        })
      }, [createElement('pages-index-introduce', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-index-introduce',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/index/introduce',
    windowTop: 0
  }
}, {
  path: '/pages/matter/myIntro',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationBarTitleText": "视频课"
        })
      }, [createElement('pages-matter-myIntro', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-matter-myIntro',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/matter/myIntro',
    windowTop: 0
  }
}, {
  path: '/pages/vip/protocol',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationBarTitleText": "付费协议"
        })
      }, [createElement('pages-vip-protocol', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-vip-protocol',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/vip/protocol',
    windowTop: 0
  }
}, {
  path: '/pages/practice/newIndexH5',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "onReachBottomDistance": 300,
          "navigationStyle": "custom"
        })
      }, [createElement('pages-practice-newIndexH5', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-practice-newIndexH5',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/practice/newIndexH5',
    windowTop: 0
  }
}, {
  path: '/pages/micro/viewMicro',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationStyle": "custom"
        })
      }, [createElement('pages-micro-viewMicro', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-micro-viewMicro',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/micro/viewMicro',
    windowTop: 0
  }
}, {
  path: '/pages/practice/indexH5',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "onReachBottomDistance": 300,
          "navigationStyle": "custom"
        })
      }, [createElement('pages-practice-indexH5', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-practice-indexH5',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/practice/indexH5',
    windowTop: 0
  }
}, {
  path: '/pages/practice/multiPractice',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationBarTextStyle": "white",
          "navigationStyle": "custom"
        })
      }, [createElement('pages-practice-multiPractice', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-practice-multiPractice',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/practice/multiPractice',
    windowTop: 0
  }
}, {
  path: '/pages/practice/records',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationBarTitleText": "错题本"
        })
      }, [createElement('pages-practice-records', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-practice-records',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/practice/records',
    windowTop: 0
  }
}, {
  path: '/pages/exercise/book',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {})
      }, [createElement('pages-exercise-book', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-exercise-book',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/exercise/book',
    windowTop: 0
  }
}, {
  path: '/pages/paper/paper',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationStyle": "custom"
        })
      }, [createElement('pages-paper-paper', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-paper-paper',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/paper/paper',
    windowTop: 0
  }
}, {
  path: '/pages/personal/captcha',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationStyle": "custom"
        })
      }, [createElement('pages-personal-captcha', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-personal-captcha',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/personal/captcha',
    windowTop: 0
  }
}, {
  path: '/pages/promotion/invitation',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationStyle": "custom"
        })
      }, [createElement('pages-promotion-invitation', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-promotion-invitation',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/promotion/invitation',
    windowTop: 0
  }
}, {
  path: '/pages/promotion/rules',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationStyle": "custom"
        })
      }, [createElement('pages-promotion-rules', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-promotion-rules',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/promotion/rules',
    windowTop: 0
  }
}, {
  path: '/pages/promotion/myCourse',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationStyle": "custom"
        })
      }, [createElement('pages-promotion-myCourse', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-promotion-myCourse',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/promotion/myCourse',
    windowTop: 0
  }
}, {
  path: '/pages/personal/agreement',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationBarTitleText": "道远视频书用户协议"
        })
      }, [createElement('pages-personal-agreement', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-personal-agreement',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/personal/agreement',
    windowTop: 0
  }
}, {
  path: '/pages/personal/privacy',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationBarTitleText": "道远视频书隐私协议"
        })
      }, [createElement('pages-personal-privacy', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-personal-privacy',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/personal/privacy',
    windowTop: 0
  }
}, {
  path: '/pages/index/exceptionDepict',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationBarTitleText": "账号异常说明",
          "titleNView": {
            "autoBackButton": "false",
            "buttons": [{
              "index": "0",
              "fontSize": "48rpx",
              "text": "",
              "float": "left",
              "fontSrc": "/static/iconfont.ttf"
            }]
          }
        })
      }, [createElement('pages-index-exceptionDepict', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-index-exceptionDepict',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/index/exceptionDepict',
    windowTop: 0
  }
}, {
  path: '/pages/index/globalToast',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "backgroundColor": "transparent",
          "background": "transparent",
          "animationType": "fade-in",
          "navigationStyle": "custom"
        })
      }, [createElement('pages-index-globalToast', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-index-globalToast',
    isNVue: true,
    maxWidth: 0,
    pagePath: 'pages/index/globalToast',
    windowTop: 0
  }
}, {
  path: '/pages/webview/activate',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationBarTitleText": "视频权限激活",
          "titleNView": {
            "autoBackButton": "false",
            "buttons": [{
              "index": "0",
              "fontSize": "48rpx",
              "text": "",
              "float": "left",
              "fontSrc": "/static/iconfont.ttf"
            }]
          }
        })
      }, [createElement('pages-webview-activate', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-webview-activate',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/webview/activate',
    windowTop: 0
  }
}, {
  path: '/pages/matter/bookMall',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: Object.assign({}, __uniConfig.globalStyle, {
          "navigationBarTitleText": "视频书商城",
          "titleNView": {
            "autoBackButton": "false",
            "buttons": [{
              "index": "0",
              "fontSize": "48rpx",
              "text": "",
              "float": "left",
              "fontSrc": "/static/iconfont.ttf"
            }]
          }
        })
      }, [createElement('pages-matter-bookMall', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'pages-matter-bookMall',
    isNVue: false,
    maxWidth: 0,
    pagePath: 'pages/matter/bookMall',
    windowTop: 0
  }
}, {
  path: '/preview-image',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: {
          navigationStyle: 'custom'
        }
      }, [createElement('system-preview-image', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'preview-image',
    pagePath: '/preview-image'
  }
}, {
  path: '/choose-location',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: {
          navigationStyle: 'custom'
        }
      }, [createElement('system-choose-location', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'choose-location',
    pagePath: '/choose-location'
  }
}, {
  path: '/open-location',
  component: {
    render: function render(createElement) {
      return createElement('Page', {
        props: {
          navigationStyle: 'custom'
        }
      }, [createElement('system-open-location', {
        slot: 'page'
      })]);
    }
  },
  meta: {
    name: 'open-location',
    pagePath: '/open-location'
  }
}];
global.UniApp && new global.UniApp();
/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__("c8ba")))

/***/ }),

/***/ "6f6a":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.storageKeys = exports.events = exports.constant = void 0;

var _config = __webpack_require__("a49b");

/**
 * @file 全局定义的事件名及storage key
 * @date 2019/10/18
 */
var events = {
  UPDATE_PRACTICE_DATA: 'UPDATE_PRACTICE_DATA',
  REMOVE_WRONG_PRACTICE: 'REMOVE_WRONG_PRACTICE',
  HIDE_ACTION_BAR: 'HIDE_ACTION_BAR',
  DO_CONFIRM: 'DO_CONFIRM',
  SYNC_SELECT_INFO: 'SYNC_SELECT_INFO',
  ON_ClASS_SELECTOR_STATUS_CHANGED: 'ON_ClASS_SELECTOR_STATUS_CHANGED',
  // 从错题本或好题本中删除题目
  DELETE_PRACTICE_FROM_BOOK: 'DELETE_PRACTICE_FROM_BOOK',
  // 更新用户信息
  UPDATE_USER_INFO: 'UPDATE_USER_INFO',
  // 更新用户密码
  UPDATE_USER_PASSWORD: 'UPDATE_USER_PASSWORD',
  // 设置一题多问当前小问index
  SET_MUTIL_PRACTICE_ACTIVE: 'SET_MUTIL_PRACTICE_ACTIVE',
  // 设置修改一题多问习题状态为查看解析状态
  SET_MUTIL_PRACTICE_COMMITED: 'SET_MUTIL_PRACTICE_COMMITED',
  // 提交一题多问习题后
  AFTER_COMMIT_MUTIL_PRACTICE: 'AFTER_COMMIT_MUTIL_PRACTICE',
  // 高考卷答题卡 做题过程中 点击题号 跳转对应的题目
  CLICK_ANSWER_CARD_ITEM_CALLBACK: 'CLICK_ANSWER_CARD_ITEM_CALLBACK',
  // 高考卷修改试卷提交状态
  UPDATE_PAPER_COMMITTED_STATUS: 'UPDATE_PAPER_COMMITTED_STATUS',
  // 高考卷提交 之后修改答题卡状态
  CHANGE_STATUS_AFTER_PAPER_COMMITTED: 'CHANGE_STATUS_AFTER_PAPER_COMMITTED',
  // 如果不是选择一题多问的一题多问 点击下一题 子问index++
  PAPER_SPECIAL_NEXT: 'PAPER_SPECIAL_NEXT'
};
exports.events = events;
var storageKeys = {
  FIRST_OPEN: 'first-open',
  TOKEN: 'token',
  // 用户登录token
  SCAR_QR: 'scar-qr',
  // 是否展示扫码答题页面
  PLAYED_VIDEO: 'played-video',
  // 是否提示过播放视频解析
  SHOW_VIP_POPUP_NUMBER: 'show-vip-popup-number',
  // 展示过提示激活vip弹层的次数
  IS_ADMIT_AGREEMENT: 'admit-agreement',
  // 是否已经同意用户隐私协议
  IS_OPEN_EYE_PROTECT: 'eye-protect',
  // 是否已经开启护眼模式
  IS_DEVICE_LOGIN: 'is-device_login',
  IS_BIND_DEVICE: 'is-bind-device',
  DOWNLOAD_PAPERS: 'download-papers',
  // 下载的试卷
  CAPTCHA_DATA: 'CAPTCHA_DATA' // 试卷做题数据

}; // const isProd = process.env.NODE_ENV === 'production';

exports.storageKeys = storageKeys;
var isProd = !_config.isDev; // let baseUrl = 'http://192.168.110.211:8081/';

var baseUrl = '/hybrid/html/index.html';
var checkUpdateUrl = 'https://app-update-new-nodejs-rmufpgjqsm.cn-hangzhou.fcapp.run';
var constant = {
  // 字母
  OPTION_CHARS: ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q'],
  // 非vip最大做题数目
  MAX_PRACTICE_NUMBER: 100,
  H5_HOST: baseUrl,
  CHECK_UPDATE_URL: checkUpdateUrl,
  WX_APPID: 'wx75e3ed86c1fc4b88',
  TENCENT_CAPTCHA_APPID: isProd ? '2064456562' : '2062062665',
  // TENCENT_CAPTCHA_APPID: '2062062665',
  AES_KEY: '6ef37086232d11eb',
  isScanMachine: false
};
exports.constant = constant;

/***/ }),

/***/ "79ec":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _interopRequireDefault = __webpack_require__("4ea4").default;

__webpack_require__("4de4");

__webpack_require__("d3b7");

__webpack_require__("26e9");

__webpack_require__("ac1f");

__webpack_require__("1276");

__webpack_require__("d401");

__webpack_require__("25f0");

__webpack_require__("a15b");

var _vue = _interopRequireDefault(__webpack_require__("e143"));

var _num2capital = _interopRequireDefault(__webpack_require__("8f93"));

var _moment = _interopRequireDefault(__webpack_require__("c1df"));

var _common = __webpack_require__("8c1b");

var options = _common.global.constant.OPTION_CHARS;

_vue.default.filter('chineseNum', function (value) {
  // mode: cn_capital: 普通的中文数字, rmb_captical人民币大写中文数字
  return _num2capital.default.num2Capital(+value, 'cn_capital');
});

_vue.default.filter('readable', function (answer) {
  if (!answer) return '未选';
  var answers = answer.toString(2).split('').reverse();
  return options.filter(function (item, index) {
    return +answers[index];
  }).join('');
});

_vue.default.filter('formatTime', function (val, format, isUnix) {
  return (0, _moment.default)(isUnix ? val * 1000 : val).format(format);
});

/***/ }),

/***/ "8c1b":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireWildcard = __webpack_require__("dbce").default;

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "API", {
  enumerable: true,
  get: function get() {
    return _api.default;
  }
});
exports.global = exports.config = void 0;
Object.defineProperty(exports, "report", {
  enumerable: true,
  get: function get() {
    return _report.default;
  }
});
Object.defineProperty(exports, "request", {
  enumerable: true,
  get: function get() {
    return _request.default;
  }
});
exports.util = void 0;

var _api = _interopRequireDefault(__webpack_require__("3228"));

var _request = _interopRequireDefault(__webpack_require__("cb4b"));

var util = _interopRequireWildcard(__webpack_require__("325c"));

exports.util = util;

var global = _interopRequireWildcard(__webpack_require__("6f6a"));

exports.global = global;

var _report = _interopRequireDefault(__webpack_require__("6c1e"));

var config = _interopRequireWildcard(__webpack_require__("a49b"));

exports.config = config;

/***/ }),

/***/ "a49b":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isDev = exports.baseUrl = void 0;
// 这一行不要改，默认连线上
var baseUrl = 'https://www.dykt.com'; // let baseUrl = 'https://test.dykt123.com';

exports.baseUrl = baseUrl;
var isDev = false;
exports.isDev = isDev;

if (false) {}

/***/ }),

/***/ "ad63":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

__webpack_require__("99af");

var _request = _interopRequireDefault(__webpack_require__("cb4b"));

var _api = _interopRequireDefault(__webpack_require__("3228"));

/**
 * @file vip相关数据
 * @date 2019/09/13
 *
 */
var _default = {
  // 注册在该模块内
  namespaced: true,
  state: {
    suites: [],
    showBuy: false
  },
  mutations: {
    setSuites: function setSuites(state, data) {
      state.suites = data;
    },
    setShowBuy: function setShowBuy(state, data) {
      state.showBuy = data;
    }
  },
  actions: {
    getSuites: function getSuites(_ref) {
      var commit = _ref.commit;
      // 获取套餐列表
      return (0, _request.default)({
        url: _api.default.suites
      }).then(function (res) {
        if (res.length > 0) {
          commit('setSuites', res);
        }
      }).catch(function (err) {
        console.log("".concat(_api.default.suites, " error: ").concat(err));
      });
    }
  }
};
exports.default = _default;

/***/ }),

/***/ "cb4b":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _typeof2 = _interopRequireDefault(__webpack_require__("53ca"));

__webpack_require__("a15b");

__webpack_require__("d3b7");

__webpack_require__("159b");

__webpack_require__("99af");

__webpack_require__("ac1f");

__webpack_require__("00b4");

__webpack_require__("d81d");

__webpack_require__("b64b");

__webpack_require__("caad");

__webpack_require__("c975");

__webpack_require__("466d");

__webpack_require__("e9c4");

var _config = __webpack_require__("a49b");

var _common = __webpack_require__("8c1b");

var _util = __webpack_require__("325c");

/**
 * @file request
 * @date 2019/7/10
 * @author hms
 */
// import qs from 'qs';
var qs = {
  stringify: function stringify(objs1, objs2) {
    var arr = [];
    var objs = Object.assign({}, objs1, objs2);

    var _loop = function _loop(n) {
      if (objs[n] && objs[n].forEach) {
        objs[n].forEach(function (m) {
          arr.push("".concat(n, "=").concat(m));
        });
      } else {
        arr.push("".concat(n, "=").concat(objs[n]));
      }
    };

    for (var n in objs) {
      _loop(n);
    }

    return arr.join('&');
  }
};

var request = function request(args) {
  var needLogin = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

  if (!/^http/.test(args.url)) {
    args.url = _config.baseUrl + args.url;
  }

  if ((0, _typeof2.default)(args.data) !== 'object') {
    args.data = {};
  }

  var params = Object.assign({
    // 注意请求方法均为大写
    method: 'GET',
    data: {}
  }, args); // 删除值为空的参数

  Object.keys(params.data).map(function (key) {
    var value = params.data[key];

    if (!value && ![false, 0].includes(value) || Array.isArray(value) && !value.length) {
      delete params.data[key];
    }
  });

  if (args.url.indexOf('rial/catalog/content') >= 0) {}

  if (params.method === 'GET' || params.method === 'DELETE') {
    params.url += '?' + qs.stringify(params.data, {
      arrayFormat: 'repeat'
    });
    params.data = {};
  } // 由于部分书上的码出现问题（变成了试卷的码），所以针对这些有问题的码开放权限


  if (params.url.match(/\/dou_practice\/api\/complex_practices(\?|$)/) || params.url.match(/\/dou_practice\/api\/practices(\?|$)/)) {
    if (params.method === 'POST') {
      // 目前已知的有问题码对应的题目id
      var ids = [73962, 18769, 48680, 74566, 61144, 57110, 43418, 54652, 32820, 62145, 32483, 43438, 28013, 57629, 33069, 43279, 46346, 74566, 74570, 74572, 58166, 33258, 62130, 62327, 33318, 73952, 58537, 48556, 35251, 24807];

      if (ids.indexOf(params.data.practice_id) >= 0) {
        return Promise.resolve(5);
      }
    }
  } // NOTICE: 直接使用webkit xhr请求，第一次请求不会将刚设置的cookies携带上


  if (/(uni-app|html5plus)/i.test(navigator.userAgent)) {
    var xhr = new plus.net.XMLHttpRequest();
    return new Promise(function (resolve, reject) {
      xhr.onreadystatechange = function () {
        if (xhr.readyState === 4) {
          var res;

          try {
            res = JSON.parse(xhr.responseText);
          } catch (err) {
            res = {};
          }

          if (params.url.match(/\/daoyuan\/api\/v2\/user(\?|$)/) && params.method === 'GET') {
            res = (0, _util.handleVipRequest)(res, params.url);
          }

          if (xhr.status === 403 && needLogin) {
            unisdk.navigateTo({
              url: '/pages/personal/login'
            });
            return;
          }

          if (xhr.status > 299) {
            reject(res);
            return;
          }

          resolve(res);
        }
      };

      xhr.open(params.method, params.url);
      xhr.setRequestHeader('cookie', 'usertoken=' + plus.storage.getItem(_common.global.storageKeys.TOKEN));
      xhr.setRequestHeader('Content-Type', 'application/json');

      if (params.method !== 'GET') {
        xhr.send(JSON.stringify(params.data));
      } else {
        xhr.send();
      }
    });
  }

  return uni.request(params).then(function (res) {
    var _res$;

    if ((res === null || res === void 0 ? void 0 : (_res$ = res[1]) === null || _res$ === void 0 ? void 0 : _res$.statusCode) === 403 && needLogin) {
      uni.navigateTo({
        url: '/pages/personal/login'
      });
      return;
    }

    if (!(res !== null && res !== void 0 && res[1]) || res[1].statusCode > 299) {
      throw res[1];
    }

    if (params.url.match(/\/daoyuan\/api\/v2\/user(\?|$)/) && params.method === 'GET') {
      return (0, _util.handleVipRequest)(res[1].data, params.url);
    } else {
      return res[1].data;
    }
  });
};

var _default = request;
exports.default = _default;

/***/ }),

/***/ "d307":
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"./download.js": "05bd",
	"./home.js": "e542",
	"./matter.js": "18ac",
	"./personal.js": "5bee",
	"./practice.js": "e0fb",
	"./report.js": "62d4",
	"./vip.js": "ad63"
};


function webpackContext(req) {
	var id = webpackContextResolve(req);
	return __webpack_require__(id);
}
function webpackContextResolve(req) {
	if(!__webpack_require__.o(map, req)) {
		var e = new Error("Cannot find module '" + req + "'");
		e.code = 'MODULE_NOT_FOUND';
		throw e;
	}
	return map[req];
}
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = "d307";

/***/ }),

/***/ "e020":
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"./zh-cn": "5c3a",
	"./zh-cn.js": "5c3a"
};


function webpackContext(req) {
	var id = webpackContextResolve(req);
	return __webpack_require__(id);
}
function webpackContextResolve(req) {
	if(!__webpack_require__.o(map, req)) {
		var e = new Error("Cannot find module '" + req + "'");
		e.code = 'MODULE_NOT_FOUND';
		throw e;
	}
	return map[req];
}
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = "e020";

/***/ }),

/***/ "e0fb":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

__webpack_require__("96cf");

var _asyncToGenerator2 = _interopRequireDefault(__webpack_require__("1da1"));

var _common = __webpack_require__("8c1b");

/**
 * @file 题目相关数据
 * @date 2019/08/28
 *
 */
var _default = {
  // 注册在该模块内
  namespaced: true,
  state: {
    multiPracticeAnswer: [],
    practiceDetail: {} // 一题多问类习题保存习题数据，在答题卡页面使用

  },
  mutations: {
    SET_MULTI_PRACTICE_ANSWER: function SET_MULTI_PRACTICE_ANSWER(state, data) {
      state.multiPracticeAnswer = data;
    },
    SET_PRACTICE_DETAIL: function SET_PRACTICE_DETAIL(state, data) {
      state.practiceDetail = data;
    }
  },
  actions: {
    getMutilPractice: function getMutilPractice(_ref, practiceId) {
      return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
        var commit, practice;
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                commit = _ref.commit;
                _context.next = 3;
                return (0, _common.request)({
                  url: "/dou_practice/api/practices/".concat(practiceId),
                  method: 'GET'
                }).catch(function (err) {
                  console.log('###### error: ' + err);
                });

              case 3:
                practice = _context.sent;

                if (practice) {
                  commit('SET_PRACTICE_DETAIL', practice);
                }

              case 5:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }))();
    }
  }
};
exports.default = _default;

/***/ }),

/***/ "e542":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _default = {
  namespaced: true,
  state: {
    toEbookSeriesParams: null
  },
  mutations: {
    updateToEbookSeriesParams: function updateToEbookSeriesParams(state, payload) {
      state.toEbookSeriesParams = payload;
    }
  },
  actions: {
    setToEbookSeriesParams: function setToEbookSeriesParams(_ref, params) {
      var commit = _ref.commit;
      commit('updateToEbookSeriesParams', params);
    },
    clearToEbookSeriesParams: function clearToEbookSeriesParams(_ref2) {
      var commit = _ref2.commit;
      commit('updateToEbookSeriesParams', null);
    }
  }
};
exports.default = _default;

/***/ }),

/***/ "ecd6":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _default = {
  "appid": "__UNI__EB37CAF"
};
exports.default = _default;

/***/ })

/******/ });