(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["pages-practice-newIndexH5"],{

/***/ "29cd":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _toConsumableArray2 = _interopRequireDefault(__webpack_require__("2909"));

var _objectSpread2 = _interopRequireDefault(__webpack_require__("5530"));

__webpack_require__("a9e3");

__webpack_require__("13d5");

__webpack_require__("d3b7");

__webpack_require__("b680");

__webpack_require__("e25e");

__webpack_require__("a15b");

__webpack_require__("26e9");

__webpack_require__("99af");

var _common = __webpack_require__("8c1b");

var _dyktIcon = _interopRequireDefault(__webpack_require__("3f3e"));

var _uniPopup = _interopRequireDefault(__webpack_require__("448d"));

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
var _default2 = {
  components: {
    DyktIcon: _dyktIcon.default,
    UniPopup: _uniPopup.default
  },
  props: {
    practices: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    material_id: {
      type: String,
      default: '0'
    },
    cat_id: {
      type: String,
      default: '0'
    },
    catalog_id: {
      type: String,
      default: '0'
    },
    top: {
      type: Number,
      default: 0
    }
  },
  data: function data() {
    return {
      videoTime: 0,
      is_right: 0,
      is_wrong: 0,
      not_do: 0
    };
  },
  computed: {
    practice1: function practice1() {
      return this.practices[0];
    },
    practice2: function practice2() {
      var result = this.practices[1].reduce(function (r, c, i) {
        if (r[c.markId]) {
          r[c.markId].push((0, _objectSpread2.default)((0, _objectSpread2.default)({}, c), {}, {
            _index: i
          }));
        } else {
          r[c.markId] = [(0, _objectSpread2.default)((0, _objectSpread2.default)({}, c), {}, {
            _index: i
          })];
        }

        return r;
      }, {});
      return result;
    },
    practice3: function practice3() {
      return this.practices[2];
    },
    isFinished: function isFinished() {
      return this.practices.reduce(function (r, c) {
        r = r * c.reduce(function (_r, _c) {
          _r = _r * _c.hasCommitted;
          return _r;
        }, 1);
        return r;
      }, 1);
    }
  },
  methods: {
    open: function open() {
      var _this = this;

      (0, _common.request)({
        url: '/dou_practice/api/user/video_analyse/duration',
        method: 'GET',
        data: {
          product: 'new_practice',
          catalog_id: this.catalog_id
        }
      }).then(function (res) {
        _this.videoTime = res / 60 > 1 ? (res / 60).toFixed(1) : 0;
        console.log('#### videoTime', res);
      });
      (0, _common.request)({
        url: '/micro_material/api/practice/train/summary',
        method: 'GET',
        data: {
          business_type: 10,
          catalog_id: this.catalog_id,
          cat_id: this.cat_id,
          material_id: this.material_id
        }
      }).then(function (res) {
        var _res$data = res.data,
            is_right = _res$data.is_right,
            is_wrong = _res$data.is_wrong,
            not_do = _res$data.not_do;
        console.log(_this.catalog_id, _this.cat_id, _this.material_id);
        _this.is_right = is_right;
        _this.is_wrong = is_wrong;
        _this.not_do = not_do;
      });
      this.$nextTick(function () {
        _this.$refs.answerSheet.open();
      });
    },
    close: function close() {
      this.$refs.answerSheet.close();
    },
    footerBtn: function footerBtn() {
      if (this.isFinished) {
        this.$emit('scrollToFirstError');
      } else {
        this.$refs.answerSheet.close();
      }
    },
    clickItem: function clickItem(type, item) {
      this.$emit('registration', {
        type: type,
        id: "view_".concat(item.id),
        item: item
      });
    },
    userAnswerTransform: function userAnswerTransform(user_answer) {
      return parseInt(user_answer.concat().reverse().join(''), 2);
    },
    isRightOrWrong: function isRightOrWrong(obj, type) {
      // console.log(obj, type);
      var bl;

      if (obj.practice_type > 2 && obj.questions.length > 0) {
        // 一题多问
        var answersResult = obj.questions.reduce(function (r, c, i) {
          return [].concat((0, _toConsumableArray2.default)(r), [obj.user_answer[i] === c.answer]);
        }, []);

        if (type === 'right') {
          bl = answersResult.reduce(function (r, c) {
            r = r * c;
            return r;
          }, true) === 1;
        } else {
          bl = answersResult.reduce(function (r, c) {
            r = r * c;
            return r;
          }, true) === 0;
        }
      } else {
        if (obj.user_answer.length === 2) {
          if (type === 'right') {
            bl = obj.user_answer[0] === 1;
          } else {
            bl = obj.user_answer[0] !== 1;
          }
        } else {
          if (type === 'right') {
            bl = this.userAnswerTransform(obj.user_answer) === obj.answer;
          } else {
            bl = this.userAnswerTransform(obj.user_answer) !== obj.answer;
          }
        }
      }

      return bl;
    },
    openRetest: function openRetest() {
      this.$refs.retest.open();
    },
    cancelRetest: function cancelRetest() {
      this.$refs.retest.close();
    },
    confirmRetest: function confirmRetest() {
      // alert('hello world');
      (0, _common.request)({
        url: '/micro_material/api/practice/stats',
        method: 'delete',
        data: {
          teaching_material_id: this.material_id,
          catalog_id: this.catalog_id,
          business_type: 10,
          cat_id: this.cat_id
        }
      });
      this.$refs.retest.close();
      this.$emit('resetAnswers');
    }
  }
};
exports.default = _default2;

/***/ }),

/***/ "2a49":
/***/ (function(module, exports, __webpack_require__) {

// Imports
var ___CSS_LOADER_API_IMPORT___ = __webpack_require__("24fb");
exports = ___CSS_LOADER_API_IMPORT___(false);
// Module
exports.push([module.i, "@charset \"UTF-8\";\n/**\n * 这里是uni-app内置的常用样式变量\n *\n * uni-app 官方扩展插件及插件市场（https://ext.dcloud.net.cn）上很多三方插件均使用了这些样式变量\n * 如果你是插件开发者，建议你使用scss预处理，并在插件代码中直接使用这些变量（无需 import 这个文件），方便用户通过搭积木的方式开发整体风格一致的App\n *\n */\n/**\n * 如果你是App开发者（插件使用者），你可以通过修改这些变量来定制自己的插件主题，实现自定义主题功能\n *\n * 如果你的项目同样使用了scss预处理，你也可以直接在你的 scss 代码中使用如下变量，同时无需 import 这个文件\n */\n/* 颜色变量 */\n/* 行为相关颜色 */\n/* 文字基本颜色 */\n/* 背景颜色 */\n/* 边框颜色 */\n/* 尺寸变量 */\n/* 文字尺寸 */\n/* 图片尺寸 */\n/* Border Radius */\n/* 水平间距 */\n/* 垂直间距 */\n/* 透明度 */\n/* 文章场景相关 */.lt[data-v-2a71604b] .right-container > :first-child{display:none!important}.lt[data-v-2a71604b] .my1{display:none!important}.practice[data-v-2a71604b]{position:relative;height:100vh;-webkit-box-sizing:border-box;box-sizing:border-box;border-radius:%?30?%;font-size:%?30?%;background-color:#fff}.practice[data-v-2a71604b] .header-tag{display:none}.practice[data-v-2a71604b] .practice-desc-header-similar{display:none}.practice-nav[data-v-2a71604b]{width:100%;height:%?88?%;line-height:%?88?%;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;font-size:%?34?%;font-weight:500;color:#222;border-bottom:%?2?% solid #eee}.practice-nav .nav-left[data-v-2a71604b]{position:absolute;left:%?28?%;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center}.practice-nav .nav-middle[data-v-2a71604b]{height:%?66?%;margin:0 auto;padding:0 %?6?%;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;background:#f8f8f8;border-radius:%?16?% %?16?% %?16?% %?16?%}.practice-nav .nav-middle[data-v-2a71604b] :nth-child(2){margin-left:%?18?%}.practice-nav .nav-middle[data-v-2a71604b] :nth-child(3){margin-left:%?18?%}.practice-nav .nav-middle-tabs[data-v-2a71604b]{-webkit-box-sizing:border-box;box-sizing:border-box;padding:0 %?14?%;font-size:%?24?%;font-weight:400;color:#222;height:%?54?%;line-height:%?56?%}.practice-nav .nav-middle .tabActive[data-v-2a71604b]{background:#ffd500;border-radius:%?10?% %?10?% %?10?% %?10?%;font-size:%?24?%;font-weight:700;color:#7a4100}.practice-nav .nav-right[data-v-2a71604b]{position:absolute;right:%?16?%;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center}.practice-nav .nav-right .right-container[data-v-2a71604b]{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;width:%?60?%;height:%?88?%;line-height:%?88?%}.practice-nav .nav-right .right-container uni-text[data-v-2a71604b]{font-size:%?26?%;font-weight:400;color:#000;margin-left:%?4?%}.practice .keep-study-container[data-v-2a71604b]{width:%?750?%;height:%?120?%;line-height:%?120?%;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:center;-webkit-justify-content:center;-ms-flex-pack:center;justify-content:center;padding-bottom:%?40?%}.practice .keep-study-container .keep-study[data-v-2a71604b]{width:%?670?%;height:%?80?%;font-size:%?26?%;font-weight:400;color:#7a4100;text-align:center;line-height:%?80?%;background:#ffee97;border-radius:%?40?% %?40?% %?40?% %?40?%;opacity:1;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:center;-webkit-justify-content:center;-ms-flex-pack:center;justify-content:center}.practice .keep-study-container .keep-study .arrow[data-v-2a71604b]{margin-left:%?10?%}", ""]);
// Exports
module.exports = exports;


/***/ }),

/***/ "3dab":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";

// EXPORTS
__webpack_require__.d(__webpack_exports__, "b", function() { return /* reexport */ render; });
__webpack_require__.d(__webpack_exports__, "c", function() { return /* reexport */ staticRenderFns; });
__webpack_require__.d(__webpack_exports__, "a", function() { return /* reexport */ components; });

// UNUSED EXPORTS: recyclableRender

// CONCATENATED MODULE: ./node_modules/@dcloudio/vue-cli-plugin-uni/packages/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/webpack-preprocess-loader??ref--15-0!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/webpack-uni-app-loader/filter-modules-template.js!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/webpack-uni-app-loader/page-meta.js!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/vue-loader/lib??vue-loader-options!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/webpack-scoped-loader!./src/components/practice/answerPopup.vue?vue&type=template&id=3c3d99ca&scoped=true&
var components;
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('uni-popup',{ref:"answerSheet",attrs:{"type":"bottom","maskClick":true,"custom":true}},[_c('v-uni-view',{staticClass:"answerCarad"},[_c('v-uni-view',{staticClass:"nav",style:({ 'padding-top': _vm.top + 'px' })},[_c('v-uni-view',{staticClass:"nav-close",on:{"click":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.close).apply(void 0, arguments)
}}},[_c('dykt-icon',{attrs:{"size":"38","color":"#222","type":"close"}})],1),_c('v-uni-view',{staticClass:"nav-title"},[_vm._v("答题卡")])],1),_c('v-uni-view',{staticClass:"header",style:({ top: _vm.top + 45 + 'px' })},[_c('v-uni-view',{staticClass:"header-left"},[_vm._v("累计观看视频"+_vm._s(_vm.videoTime)+"分钟,正确"+_vm._s(_vm.is_right)+"道,错误"+_vm._s(_vm.is_wrong + _vm.not_do)+"道")]),_c('v-uni-view',{staticClass:"header-right"},[_c('v-uni-view',{staticClass:"item"},[_c('v-uni-view',{staticClass:"circle right"}),_c('v-uni-text',[_vm._v("做对")])],1),_c('v-uni-view',{staticClass:"item"},[_c('v-uni-view',{staticClass:"circle wrong"}),_c('v-uni-text',[_vm._v("做错")])],1)],1)],1),_c('v-uni-view',{staticClass:"content"},[(_vm.practice1.length > 0)?[_c('v-uni-view',{staticClass:"content-header"},[_c('v-uni-view',{staticClass:"mark"}),_c('v-uni-view',{staticClass:"title"},[_vm._v("经典例题学习")]),_c('v-uni-view',{staticClass:"icon"},[_vm._v("学")])],1),_c('v-uni-view',{staticClass:"content-box1"},_vm._l((_vm.practice1),function(item,index){return _c('v-uni-view',{key:("block1" + index),staticClass:"box-item-container"},[_c('v-uni-view',{staticClass:"box-item",on:{"click":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
_vm.clickItem(0, item)
}}},[_c('v-uni-text',[_vm._v(_vm._s(("例题" + (index + 1))))])],1)],1)}),1)]:_vm._e(),(Object.keys(_vm.practice2).length > 0)?[_c('v-uni-view',{staticClass:"content-header",style:(Object.keys(_vm.practice2).length > 1 && 'margin-bottom: 20rpx;')},[_c('v-uni-view',{staticClass:"mark"}),_c('v-uni-view',{staticClass:"title"},[_vm._v("经典必练")]),_c('v-uni-view',{staticClass:"icon"},[_vm._v("练")])],1),_c('v-uni-view',{staticClass:"content-box2"},_vm._l((Object.keys(_vm.practice2)),function(item,index){return _c('v-uni-view',{key:("block2" + index),class:Object.keys(_vm.practice2).length > 1 ? 'block-box1' : 'block-box2'},[(Object.keys(_vm.practice2).length > 1)?_c('v-uni-view',{staticClass:"label"},[_c('v-uni-text',[_vm._v(_vm._s(("知识点" + (index + 1) + ":")))]),_c('v-uni-text',[_vm._v(_vm._s(item.split('-')[item.split('-').length - 1]))])],1):_vm._e(),_c('v-uni-view',{staticClass:"value"},[_vm._l((_vm.practice2[item]),function(_item,i){return _c('v-uni-view',{key:("child-" + i),staticClass:"circle-item",class:{
                                    right: _vm.isRightOrWrong(_item, 'right'),
                                    wrong:
                                        _vm.isRightOrWrong(_item, 'wrong') &&
                                        _item.user_answer !== null && _item.hasCommitted
                                },on:{"click":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
_vm.clickItem(1, _item)
}}},[_vm._v(_vm._s(_item._index + 1))])}),_vm._l(([1, 2, 3, 4, 5, 6]),function(_item,i){return _c('v-uni-view',{key:("child" + i),staticClass:"circle-blank"})})],2)],1)}),1)]:_vm._e(),(_vm.practice3.length > 0)?[_c('v-uni-view',{staticClass:"content-header",staticStyle:{"margin":"20rpx 0 30rpx 0"}},[_c('v-uni-view',{staticClass:"mark"}),_c('v-uni-view',{staticClass:"title"},[_vm._v("深度训练")]),_c('v-uni-view',{staticClass:"icon"},[_vm._v("练")])],1),_c('v-uni-view',{staticClass:"content-box3"},[_vm._l((_vm.practice3),function(item,index){return _c('v-uni-view',{key:("shen" + index),staticClass:"circle-item",class:{
                            right: _vm.isRightOrWrong(item, 'right'),
                            wrong:
                                _vm.isRightOrWrong(item, 'wrong') &&
                                item.user_answer !== null && item.hasCommitted
                        },on:{"click":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
_vm.clickItem(2, item)
}}},[_vm._v(_vm._s(index + 1))])}),_vm._l(([1, 2, 3, 4, 5, 6]),function(_item,i){return _c('v-uni-view',{key:("child" + i),staticClass:"circle-blank"})})],2)]:_vm._e()],2),_c('v-uni-view',{staticClass:"footer"},[_c('v-uni-view',{staticClass:"footer-left",on:{"click":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.openRetest).apply(void 0, arguments)
}}},[_c('dykt-icon',{attrs:{"type":"refresh","size":"40","color":"#666666"}}),_c('v-uni-view',[_vm._v("重新测试")])],1),_c('v-uni-view',{staticClass:"footer-right",on:{"click":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.footerBtn).apply(void 0, arguments)
}}},[_vm._v(_vm._s(_vm.isFinished ? '查看解析' : '继续学习'))])],1),_c('uni-popup',{ref:"retest",attrs:{"type":"center","maskClick":true,"custom":true}},[_c('v-uni-view',{staticClass:"retest-container"},[_c('v-uni-view',{staticClass:"retest-container-title"},[_vm._v("确定重新做题吗？我们将为您清空当前做题结果")]),_c('v-uni-view',{staticClass:"retest-container-btns"},[_c('v-uni-view',{staticClass:"cancel",on:{"click":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.cancelRetest).apply(void 0, arguments)
}}},[_vm._v("取消")]),_c('v-uni-view',{staticClass:"confirm",on:{"click":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.confirmRetest).apply(void 0, arguments)
}}},[_vm._v("确定")])],1)],1)],1)],1)],1)}
var recyclableRender = false
var staticRenderFns = []


// CONCATENATED MODULE: ./src/components/practice/answerPopup.vue?vue&type=template&id=3c3d99ca&scoped=true&


/***/ }),

/***/ "5d6e":
/***/ (function(module, exports, __webpack_require__) {

// Imports
var ___CSS_LOADER_API_IMPORT___ = __webpack_require__("24fb");
exports = ___CSS_LOADER_API_IMPORT___(false);
// Module
exports.push([module.i, "@charset \"UTF-8\";\n/**\n * 这里是uni-app内置的常用样式变量\n *\n * uni-app 官方扩展插件及插件市场（https://ext.dcloud.net.cn）上很多三方插件均使用了这些样式变量\n * 如果你是插件开发者，建议你使用scss预处理，并在插件代码中直接使用这些变量（无需 import 这个文件），方便用户通过搭积木的方式开发整体风格一致的App\n *\n */\n/**\n * 如果你是App开发者（插件使用者），你可以通过修改这些变量来定制自己的插件主题，实现自定义主题功能\n *\n * 如果你的项目同样使用了scss预处理，你也可以直接在你的 scss 代码中使用如下变量，同时无需 import 这个文件\n */\n/* 颜色变量 */\n/* 行为相关颜色 */\n/* 文字基本颜色 */\n/* 背景颜色 */\n/* 边框颜色 */\n/* 尺寸变量 */\n/* 文字尺寸 */\n/* 图片尺寸 */\n/* Border Radius */\n/* 水平间距 */\n/* 垂直间距 */\n/* 透明度 */\n/* 文章场景相关 */.answerCarad[data-v-3c3d99ca]{width:%?750?%;height:100vh;background:#fff;position:relative;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-webkit-flex-direction:column;-ms-flex-direction:column;flex-direction:column}.answerCarad .nav[data-v-3c3d99ca]{width:%?670?%;padding:0 %?40?% 0 %?40?%;height:%?88?%;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-pack:center;-webkit-justify-content:center;-ms-flex-pack:center;justify-content:center;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;font-size:%?34?%;color:#222;line-height:%?40?%}.answerCarad .nav-close[data-v-3c3d99ca]{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;position:absolute;left:%?36?%}.answerCarad .nav-title[data-v-3c3d99ca]{height:%?48?%;line-height:%?40?%;font-weight:700}.answerCarad .header[data-v-3c3d99ca]{width:%?750?%;height:%?60?%;background:#f8f8fa;opacity:1;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-webkit-justify-content:space-between;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;font-size:%?20?%;font-weight:400;color:#666}.answerCarad .header-left[data-v-3c3d99ca]{margin-left:%?40?%}.answerCarad .header-right[data-v-3c3d99ca]{margin-right:%?40?%;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:justify;-webkit-justify-content:space-between;-ms-flex-pack:justify;justify-content:space-between}.answerCarad .header-right .item[data-v-3c3d99ca]{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center}.answerCarad .header-right .circle[data-v-3c3d99ca]{width:%?20?%;height:%?20?%;opacity:1;border-radius:50%}.answerCarad .header-right .right[data-v-3c3d99ca]{border:%?2?% solid #13db5e;margin-right:%?10?%}.answerCarad .header-right .wrong[data-v-3c3d99ca]{border:%?2?% solid #f37777;margin:0 %?10?% 0 %?20?%}.answerCarad .blank[data-v-3c3d99ca]{width:%?750?%;padding:0 %?40?% 0 %?40?%;height:%?60?%}.answerCarad .content[data-v-3c3d99ca]{width:%?670?%;padding:0 %?40?% 0 %?40?%;border-bottom:%?1?% solid #eee;overflow:auto;-webkit-box-flex:1;-webkit-flex:1;-ms-flex:1;flex:1}.answerCarad .content-header[data-v-3c3d99ca]{margin-top:%?30?%;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center}.answerCarad .content-header .mark[data-v-3c3d99ca]{-webkit-box-sizing:border-box;box-sizing:border-box;width:%?6?%;height:%?32?%;background:#ffd500;border-radius:%?4?% %?4?% %?4?% %?4?%;opacity:1;margin-right:%?10?%}.answerCarad .content-header .title[data-v-3c3d99ca]{font-size:%?30?%;font-weight:400;color:#666;margin-right:%?10?%}.answerCarad .content-header .icon[data-v-3c3d99ca]{padding:%?2?% %?6?%;line-height:%?28?%;text-align:center;border-radius:%?10?% %?10?% %?10?% %?10?%;border:%?2?% solid #ffd500;font-size:%?20?%;color:#ffd500}.answerCarad .content-box1[data-v-3c3d99ca]{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;-webkit-flex-wrap:wrap;-ms-flex-wrap:wrap;flex-wrap:wrap;margin-bottom:%?60?%}.answerCarad .content-box1[data-v-3c3d99ca] :nth-child(3n + 3){display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-pack:end;-webkit-justify-content:flex-end;-ms-flex-pack:end;justify-content:flex-end;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center}.answerCarad .content-box1[data-v-3c3d99ca] :nth-child(3n - 1){display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-pack:center;-webkit-justify-content:center;-ms-flex-pack:center;justify-content:center;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center}.answerCarad .content-box1[data-v-3c3d99ca] :nth-child(3n + 1){display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-pack:start;-webkit-justify-content:flex-start;-ms-flex-pack:start;justify-content:flex-start;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center}.answerCarad .content-box1 .box-item-container[data-v-3c3d99ca]{width:33.33%;height:%?72?%;margin-top:%?30?%;line-height:%?30?%}.answerCarad .content-box1 .box-item-container .box-item[data-v-3c3d99ca]{-webkit-box-sizing:border-box;box-sizing:border-box;width:%?200?%;height:%?72?%;text-align:center;line-height:%?68?%;font-size:%?26?%;background:#fff;border-radius:%?40?% %?40?% %?40?% %?40?%;opacity:1;border:%?2?% solid #ddd;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-pack:center;-webkit-justify-content:center;-ms-flex-pack:center;justify-content:center}.answerCarad .content-box2[data-v-3c3d99ca]{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;-webkit-flex-wrap:wrap;-ms-flex-wrap:wrap;flex-wrap:wrap}.answerCarad .content-box2 .block-box1[data-v-3c3d99ca]{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-webkit-justify-content:space-between;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;-webkit-flex-wrap:wrap;-ms-flex-wrap:wrap;flex-wrap:wrap}.answerCarad .content-box2 .block-box1 .label[data-v-3c3d99ca]{width:%?670?%;font-size:%?26?%;font-weight:400;color:#222;overflow:hidden;-o-text-overflow:ellipsis;text-overflow:ellipsis;white-space:nowrap;margin-bottom:%?30?%}.answerCarad .content-box2 .block-box1 .value[data-v-3c3d99ca]{width:100%;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-webkit-justify-content:space-between;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;-webkit-flex-wrap:wrap;-ms-flex-wrap:wrap;flex-wrap:wrap;margin-bottom:%?2?%}.answerCarad .content-box2 .block-box1 .value[data-v-3c3d99ca] :nth-child(6n){margin-right:0!important}.answerCarad .content-box2 .block-box1 .value .circle-item[data-v-3c3d99ca]{font-size:%?34?%;width:%?80?%;height:%?80?%;-webkit-box-sizing:border-box;box-sizing:border-box;background:#fff;border:%?2?% solid #ddd;opacity:1;color:#222;text-align:center;line-height:%?76?%;border-radius:50%;opacity:1;margin:0 %?38?% %?38?% 0}.answerCarad .content-box2 .block-box1 .value .circle-blank[data-v-3c3d99ca]{width:%?80?%;margin:0 %?38?% 0 0}.answerCarad .content-box2 .block-box2[data-v-3c3d99ca]{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-webkit-justify-content:space-between;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;-webkit-flex-wrap:wrap;-ms-flex-wrap:wrap;flex-wrap:wrap}.answerCarad .content-box2 .block-box2[data-v-3c3d99ca] :nth-child(6n){margin-right:0!important}.answerCarad .content-box2 .block-box2 .label[data-v-3c3d99ca]{width:%?670?%;font-size:%?26?%;font-weight:400;color:#222;margin:%?40?% 0 0 0;overflow:hidden;-o-text-overflow:ellipsis;text-overflow:ellipsis;white-space:nowrap}.answerCarad .content-box2 .block-box2 .value[data-v-3c3d99ca]{width:100%;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-webkit-justify-content:space-between;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;-webkit-flex-wrap:wrap;-ms-flex-wrap:wrap;flex-wrap:wrap;margin-bottom:%?40?%}.answerCarad .content-box2 .block-box2 .value[data-v-3c3d99ca] :nth-child(6n){margin-right:0!important}.answerCarad .content-box2 .block-box2 .value .circle-item[data-v-3c3d99ca]{width:%?80?%;height:%?80?%;font-size:%?34?%;-webkit-box-sizing:border-box;box-sizing:border-box;background:#fff;border:%?2?% solid #ddd;opacity:1;color:#222;text-align:center;line-height:%?76?%;border-radius:50%;opacity:1;margin:%?30?% %?38?% 0 0}.answerCarad .content-box2 .block-box2 .value .circle-blank[data-v-3c3d99ca]{width:%?80?%;margin:0 %?38?% 0 0}.answerCarad .content-box3[data-v-3c3d99ca]{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;-webkit-flex-wrap:wrap;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-pack:justify;-webkit-justify-content:space-between;-ms-flex-pack:justify;justify-content:space-between;margin-bottom:%?42?%}.answerCarad .content-box3[data-v-3c3d99ca] :nth-child(6n){margin-right:0!important}.answerCarad .content-box3 .circle-item[data-v-3c3d99ca]{width:%?80?%;font-size:%?34?%;height:%?80?%;-webkit-box-sizing:border-box;box-sizing:border-box;background:#fff;border:%?2?% solid #ddd;opacity:1;color:#222;text-align:center;line-height:%?76?%;border-radius:50%;opacity:1;margin:0 %?38?% %?38?% 0}.answerCarad .content-box3 .circle-blank[data-v-3c3d99ca]{-webkit-box-sizing:border-box;box-sizing:border-box;width:%?80?%;margin:%?30?% %?38?% %?19?% 0}.answerCarad .content .wrong[data-v-3c3d99ca]{background:#ffeded!important;opacity:1;border:%?2?% solid #f37777!important;color:#f44!important}.answerCarad .content .right[data-v-3c3d99ca]{background:#e7fbef!important;opacity:1;border:%?2?% solid #13db5e!important;color:#10ae1a!important}.answerCarad .footer[data-v-3c3d99ca]{width:%?670?%;padding:0 %?40?% 0 %?40?%;padding-bottom:calc(env(safe-area-inset-bottom));height:%?110?%;background:#fff;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:justify;-webkit-justify-content:space-between;-ms-flex-pack:justify;justify-content:space-between}.answerCarad .footer-left[data-v-3c3d99ca]{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-webkit-flex-direction:column;-ms-flex-direction:column;flex-direction:column;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:center;-webkit-justify-content:center;-ms-flex-pack:center;justify-content:center;font-size:%?22?%;color:#666}.answerCarad .footer-right[data-v-3c3d99ca]{width:%?542?%;height:%?80?%;text-align:center;line-height:%?80?%;background:#ffd500;border-radius:%?40?% %?40?% %?40?% %?40?%;opacity:1;font-size:%?30?%;color:#7a4100}.answerCarad .retest-container[data-v-3c3d99ca]{width:%?640?%;height:%?334?%;background:#fff;border-radius:%?20?% %?20?% %?20?% %?20?%;opacity:1;position:relative}.answerCarad .retest-container-title[data-v-3c3d99ca]{position:absolute;top:%?60?%;left:%?70?%;width:%?500?%;font-size:%?30?%;font-weight:700;color:#222}.answerCarad .retest-container-btns[data-v-3c3d99ca]{position:absolute;bottom:%?50?%;left:%?50?%;width:100%;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex}.answerCarad .retest-container-btns uni-view[data-v-3c3d99ca]{width:%?260?%;-webkit-box-sizing:border-box;box-sizing:border-box;height:%?80?%;text-align:center;line-height:%?80?%;font-size:%?30?%;border-radius:%?74?% %?74?% %?74?% %?74?%;opacity:1}.answerCarad .retest-container-btns .cancel[data-v-3c3d99ca]{background:#f8f8f8;margin-right:%?20?%;color:#222}.answerCarad .retest-container-btns .confirm[data-v-3c3d99ca]{background:#ffd500;color:#7a4100}", ""]);
// Exports
module.exports = exports;


/***/ }),

/***/ "8ac4":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("7a82");

var _interopRequireDefault = __webpack_require__("4ea4").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

__webpack_require__("96cf");

__webpack_require__("4de4");

__webpack_require__("d3b7");

__webpack_require__("d81d");

__webpack_require__("13d5");

__webpack_require__("99af");

__webpack_require__("e25e");

__webpack_require__("a15b");

__webpack_require__("26e9");

__webpack_require__("159b");

__webpack_require__("caad");

__webpack_require__("2532");

var _typeof2 = _interopRequireDefault(__webpack_require__("53ca"));

var _toConsumableArray2 = _interopRequireDefault(__webpack_require__("2909"));

var _asyncToGenerator2 = _interopRequireDefault(__webpack_require__("1da1"));

var _objectSpread2 = _interopRequireDefault(__webpack_require__("5530"));

var _common = __webpack_require__("8c1b");

var _config = __webpack_require__("a49b");

var _vuex = __webpack_require__("2f62");

var _dyktIcon = _interopRequireDefault(__webpack_require__("3f3e"));

var _practiceTemplate = _interopRequireDefault(__webpack_require__("744d"));

var _answerPopup = _interopRequireDefault(__webpack_require__("e539"));

var _stat = _interopRequireDefault(__webpack_require__("ed5a"));

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
var _default = {
  components: {
    DyktIcon: _dyktIcon.default,
    AnswerSheet: _answerPopup.default,
    PracticeTemplate: _practiceTemplate.default
  },
  data: function data() {
    return {
      practice_blocks: [],
      practices: [[], [], []],
      // 例题、精选、深度
      typeDict: {
        例题: '例题学习',
        精选: '精选必练',
        深度练: '深度训练'
      },
      practice1: null,
      practice2: null,
      practice3: null,
      activeIndex: 0,
      childId: null,
      // 题 子节点
      mutiPractice: {},
      top: 0,
      practice_id: '',
      cat_id: '',
      route: '',
      message: '',
      nameIndexMap: {
        '例题': 0,
        '精选': 1,
        '深度练': 2
      }
    };
  },
  onShow: function onShow() {
    if (!this.isLogin) {
      uni.showToast({
        title: '未登录',
        icon: 'none'
      });
      uni.navigateTo({
        url: '/pages/personal/login'
      });
    }
  },
  computed: (0, _objectSpread2.default)((0, _objectSpread2.default)({}, (0, _vuex.mapState)(['isVip', 'isLogin', 'systemInfo'])), {}, {
    doResult: function doResult() {
      var rightCount = this.practices.filter(function (itm) {
        return itm.user_answer === itm.answer;
      }).length;
      var wrongCount = this.practices.filter(function (itm) {
        return itm.user_answer !== itm.answer;
      }).length;
      var emptyCount = this.practices.filter(function (itm) {
        return itm.user_answer === null;
      }).length;
      return {
        rightCount: rightCount,
        wrongCount: wrongCount,
        emptyCount: emptyCount
      };
    }
  }),
  onLoad: function onLoad(_ref) {
    var _ref$business_type = _ref.business_type,
        business_type = _ref$business_type === void 0 ? 10 : _ref$business_type,
        _ref$catalog_id = _ref.catalog_id,
        catalog_id = _ref$catalog_id === void 0 ? 509 : _ref$catalog_id,
        _ref$teaching_materia = _ref.teaching_material_id,
        teaching_material_id = _ref$teaching_materia === void 0 ? 5 : _ref$teaching_materia,
        _ref$cat_id = _ref.cat_id,
        cat_id = _ref$cat_id === void 0 ? 1 : _ref$cat_id;
    var pages = getCurrentPages();
    var page = pages[pages.length - 1];
    this.route = page.route;

    _stat.default.newPaper(this.route, 'start');

    this.business_type = business_type;
    this.catalog_id = catalog_id;
    this.teaching_material_id = teaching_material_id;
    this.cat_id = cat_id;
    this.top = this.systemInfo.safeArea.top;
    this.requestData();
  },
  onHide: function onHide() {
    _stat.default.newPaper(this.route, 'end');
  },
  destroyed: function destroyed() {
    _stat.default.newPaper(this.route, 'end');
  },
  methods: {
    formatQuestion: function formatQuestion(list) {
      if (!list) {
        return [];
      }

      return list.map(function (v) {
        return (0, _objectSpread2.default)((0, _objectSpread2.default)({}, v), {}, {
          user_answer: [],
          user_answer2: _common.util.formatBinary(v.user_answer)
        });
      });
    },
    requestData: function requestData() {
      var _this = this;

      return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
        var start, res, practice_blocks;
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                uni.showLoading({
                  title: '加载习题中',
                  mask: true
                });
                start = Date.now();
                _context.next = 4;
                return (0, _common.request)({
                  url: '/micro_material/api/teaching_material/catalog/practice',
                  method: 'GET',
                  data: {
                    business_type: _this.business_type,
                    catalog_id: _this.catalog_id,
                    teaching_material_id: _this.teaching_material_id
                  }
                });

              case 4:
                res = _context.sent;
                // console.log('business_type', this.business_type);
                // console.log('catalog_id', this.catalog_id);
                // console.log('teaching_material_id', this.teaching_material_id);
                // console.log(`${Date.now() - start}ms`);
                // console.log('##### res', JSON.stringify(res));
                practice_blocks = res.data.data.practice_blocks; // console.log('#### requestData', practice_blocks);

                _this.practice_blocks = practice_blocks.filter(function (item) {
                  return item.practices.length > 0;
                });

                if (_this.practice_blocks[0].block_name === '例题') {
                  _this.activeIndex = 0;
                } else if (_this.practice_blocks[0].block_name === '精选') {
                  _this.activeIndex = 1;
                } else if (_this.practice_blocks[0].block_name === '深度练') {
                  _this.activeIndex = 2;
                }

                _this.practice1 = practice_blocks[0].practices.reduce(function (r, c) {
                  return [].concat((0, _toConsumableArray2.default)(r), [(0, _objectSpread2.default)((0, _objectSpread2.default)({}, c), {}, {
                    questions: _this.formatQuestion(c.questions),
                    isShowParse: false,
                    // 是否显示答案
                    user_answer: [0, 0, 0, 0],
                    // 用户选择的答案
                    isUnfold: true,
                    // 是否收起/展开解析
                    hasCommitted: true,
                    allowPlay: false,
                    activeIndex: 0
                  })]);
                }, []);
                _this.practice2 = practice_blocks[1].practices.reduce(function (r, c, index) {
                  return [].concat((0, _toConsumableArray2.default)(r), (0, _toConsumableArray2.default)(c.practices.reduce(function (_r, _c) {
                    var _c$user_answer;

                    return [].concat((0, _toConsumableArray2.default)(_r), [_c.questions.length === 0 && _c.practice_type > 2 ? (0, _objectSpread2.default)((0, _objectSpread2.default)({}, _c), {}, {
                      questions: _this.formatQuestion(_c.questions),
                      isShowParse: false,
                      // 是否显示答案
                      user_answer: [],
                      user_answer2: _common.util.formatBinary(_c.user_answer),
                      isUnfold: false,
                      // 是否收起/展开解析
                      hasCommitted: (_c$user_answer = _c.user_answer) !== null && _c$user_answer !== void 0 && _c$user_answer.length ? true : false,
                      step1Status: false,
                      step2Data: _c.user_answer[0] === 1 ? 1 : _c.user_answer[1] === 1 ? 0 : null,
                      markId: c.knowledge_label_name,
                      allowPlay: false,
                      activeIndex: 1
                    }) : (0, _objectSpread2.default)((0, _objectSpread2.default)({}, _c), {}, {
                      questions: _this.formatQuestion(_c.questions),
                      isShowParse: false,
                      // 是否显示答案
                      user_answer: [],
                      user_answer2: _common.util.formatBinary(_c.user_answer),
                      isUnfold: false,
                      // 是否收起/展开解析
                      hasCommitted: false,
                      markId: c.knowledge_label_name,
                      allowPlay: false,
                      activeIndex: 1
                    })]);
                  }, [])));
                }, []);
                _this.practice3 = practice_blocks[2].practices.reduce(function (r, c) {
                  return [].concat((0, _toConsumableArray2.default)(r), [c.questions.length === 0 && c.practice_type > 2 ? (0, _objectSpread2.default)((0, _objectSpread2.default)({}, c), {}, {
                    questions: _this.formatQuestion(c.questions),
                    isShowParse: false,
                    // 是否显示答案
                    user_answer: [],
                    user_answer2: _common.util.formatBinary(c.user_answer),
                    isUnfold: false,
                    // 是否收起/展开解析
                    hasCommitted: false,
                    step1Status: false,
                    step2Data: c.user_answer[0] === 1 ? 1 : c.user_answer[1] === 1 ? 0 : null,
                    allowPlay: false,
                    activeIndex: 2
                  }) : (0, _objectSpread2.default)((0, _objectSpread2.default)({}, c), {}, {
                    questions: _this.formatQuestion(c.questions),
                    isShowParse: false,
                    // 是否显示答案
                    user_answer: [],
                    user_answer2: _common.util.formatBinary(c.user_answer),
                    isUnfold: false,
                    // 是否收起/展开解析
                    hasCommitted: false,
                    allowPlay: false,
                    activeIndex: 2
                  })]);
                }, []);
                _this.practices = [_this.practice1, _this.practice2, _this.practice3]; // console.log('json', JSON.stringify(this.practice2[0]));

                _this.$nextTick(function () {
                  if (res.code == 0) {
                    uni.hideLoading();
                  }
                });

                _this.mutiPractice = _this.practices[_this.activeIndex].filter(function (item) {
                  return item.questions.length > 0;
                })[0];

              case 14:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }))();
    },
    back: function back() {
      uni.navigateBack();
    },
    // 打开答题卡
    openAnswerSheet: function openAnswerSheet() {
      this.$refs.answerSheet.open(); // stat.paperStu('end', 'www.baidu.com');
      // console.log('打点结束');
    },
    scrollTo: function scrollTo(_ref2) {
      var _this2 = this;

      var type = _ref2.type,
          id = _ref2.id;
      this.activeIndex = type;
      this.$nextTick(function () {
        _this2.childId = id;

        _this2.$refs.answerSheet.close();
      });
    },
    userAnswerTransform: function userAnswerTransform(user_answer) {
      return parseInt(user_answer.concat().reverse().join(''), 2);
    },
    chooseTabs: function chooseTabs(item) {
      var _this3 = this;

      this.activeIndex = (0, _typeof2.default)(item) === 'object' ? this.nameIndexMap[item.block_name] : this.nameIndexMap[item];
      var firstId = this.practices[this.activeIndex][0].id;
      this.$nextTick(function () {
        _this3.childId = "view_".concat(firstId);
      });
    },
    singleSubmit: function singleSubmit(practice, index, type) {
      var _this4 = this;

      return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee2() {
        var user_answer, answer;
        return regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                user_answer = practice.user_answer, answer = practice.answer;

                if (true) {
                  _context2.next = 5;
                  break;
                }

                uni.showModal({
                  title: '您未选择答案',
                  content: '请问是否提交?',
                  success: function success() {
                    _this4.practices[_this4.activeIndex].forEach(function (item, i) {
                      if (index === i) {
                        item.isUnfold = true;
                        item.hasCommitted = true;
                        item.user_answer = [0, 0, 0, 0];
                      }
                    });
                  }
                });
                _context2.next = 8;
                break;

              case 5:
                if (!user_answer.every(function (itm) {
                  return itm === null;
                })) {
                  _context2.next = 7;
                  break;
                }

                return _context2.abrupt("return");

              case 7:
                if (user_answer) {
                  _this4.practices[_this4.activeIndex].forEach(function (item, i) {
                    if (index === i) {
                      item.isUnfold = true;
                      item.hasCommitted = true;
                      item.correct_flag = _this4.userAnswerTransform(user_answer) === answer;
                      item.user_answer = user_answer.reduce(function (r, c) {
                        if (c === null) {
                          r.push(0);
                        } else {
                          r.push(c);
                        }

                        return r;
                      }, []);
                    }
                  });
                }

              case 8:
                _this4.commitAnswer(practice);

                _this4.practices = (0, _toConsumableArray2.default)(_this4.practices);

              case 10:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2);
      }))();
    },
    formatAnswer: function formatAnswer(answers) {
      return parseInt(answers.concat().reverse().join(''), 2) || 0;
    },
    mutiSumitted: function mutiSumitted(_ref3) {
      var _this5 = this;

      return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee3() {
        var id, answer, hasCommitted, correct_flag, item, res;
        return regeneratorRuntime.wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                id = _ref3.id, answer = _ref3.answer, hasCommitted = _ref3.hasCommitted, correct_flag = _ref3.correct_flag;

                _this5.practices[_this5.activeIndex].forEach(function (itm) {
                  if (itm.id === id) {
                    item = itm;
                  }
                });

                if (!item) {
                  _context3.next = 9;
                  break;
                }

                item.hasCommitted = hasCommitted;
                item.isUnfold = true;
                _context3.next = 7;
                return _this5.commitAnswer((0, _objectSpread2.default)((0, _objectSpread2.default)({}, item), {}, {
                  user_answer: answer.map(function (v) {
                    return _this5.formatAnswer(v);
                  })
                }), 1, correct_flag);

              case 7:
                res = _context3.sent;
                item.questions.forEach(function (_itm) {
                  _itm.hasCommitted = true;
                });

              case 9:
              case "end":
                return _context3.stop();
            }
          }
        }, _callee3);
      }))();
    },
    step1: function step1(item, index, type) {
      this.practices[this.activeIndex][index].step1Status = true;
    },
    step2: function step2(item, index, type) {
      if (type === 1) {
        this.practices[this.activeIndex][index].step2Data = 1;
      } else {
        this.practices[this.activeIndex][index].step2Data = 0;
      }

      this.practices = (0, _toConsumableArray2.default)(this.practices);
    },
    commitAnswer: function commitAnswer(item, type, correct_flag) {
      var _this6 = this;

      return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee4() {
        var is_correct, isEmpty, res;
        return regeneratorRuntime.wrap(function _callee4$(_context4) {
          while (1) {
            switch (_context4.prev = _context4.next) {
              case 0:
                is_correct = 2;
                isEmpty = item.user_answer.reduce(function (r, itm) {
                  if (itm === null) {
                    r.push(itm);
                  }

                  return r;
                }, []).length === item.user_answer.length;

                if (item.hasCommitted) {
                  if (type) {
                    // const isRight = item.user_answer.reduce((r, c) => {
                    //     r = r * c;
                    //     return r;
                    // }, 1);
                    if (!isEmpty) {
                      is_correct = correct_flag.includes(false) ? 0 : 1;
                    }

                    _stat.default.practice(_this6.cat_id, item.paper_id, item.id, correct_flag, 0, null, item.practice_type);
                  } else {
                    if (_this6.userAnswerTransform(item.user_answer) === item.answer) {
                      is_correct = 1;
                    } else {
                      is_correct = 0;
                      _this6.message = '答错题已自动归纳到错题本';

                      _this6.$refs.toast.show();
                    }

                    _stat.default.practice(_this6.cat_id, item.paper_id, item.id, item.correct_flag, 0, null, item.practice_type);
                  }
                }

                _context4.next = 5;
                return (0, _common.request)({
                  url: '/micro_material/api/dou_practice/practice/commit',
                  method: 'POST',
                  data: {
                    teaching_material_id: _this6.teaching_material_id,
                    catalog_id: _this6.catalog_id,
                    business_type: 10,
                    paper_id: item.paper_id,
                    cat_id: _this6.cat_id,
                    answer_content: [{
                      practice_id: item.id,
                      user_answer: isEmpty ? item.user_answer.reduce(function (r, c) {
                        return [].concat((0, _toConsumableArray2.default)(r), [0]);
                      }, []) : item.user_answer.reduce(function (r, c) {
                        if (c === null) {
                          c = 0;
                        }

                        r.push(c);
                        return r;
                      }, []),
                      is_correct: is_correct,
                      practice_category_name: item.practice_category_name
                    }]
                  }
                });

              case 5:
                res = _context4.sent;

              case 6:
              case "end":
                return _context4.stop();
            }
          }
        }, _callee4);
      }))();
    },
    step3: function step3(item, index) {
      var _this7 = this;

      return (0, _asyncToGenerator2.default)( /*#__PURE__*/regeneratorRuntime.mark(function _callee5() {
        return regeneratorRuntime.wrap(function _callee5$(_context5) {
          while (1) {
            switch (_context5.prev = _context5.next) {
              case 0:
                if (_this7.practices[_this7.activeIndex][index].step2Data === 1) {
                  _this7.practices[_this7.activeIndex][index].user_answer = [1, 0];
                  _this7.practices[_this7.activeIndex][index].correct_flag = true;
                } else {
                  _this7.practices[_this7.activeIndex][index].user_answer = [0, 1];
                  _this7.practices[_this7.activeIndex][index].correct_flag = false;
                }

                _this7.practices[_this7.activeIndex][index].hasCommitted = true;
                _this7.practices[_this7.activeIndex][index].isUnfold = true;

                _this7.commitAnswer(item);

                _this7.practices = (0, _toConsumableArray2.default)(_this7.practices);

              case 5:
              case "end":
                return _context5.stop();
            }
          }
        }, _callee5);
      }))();
    },
    scrollToFirstError: function scrollToFirstError() {
      var _this8 = this;

      var arr = [].concat((0, _toConsumableArray2.default)(this.practices[1]), (0, _toConsumableArray2.default)(this.practices[2]));
      var firstErrorItem = arr.filter(function (item) {
        return item.is_correct === 0 || item.is_correct === 2;
      })[0];

      if (firstErrorItem) {
        this.activeIndex = firstErrorItem.activeIndex;
        this.$nextTick(function () {
          _this8.childId = "view_".concat(firstErrorItem.id);

          _this8.$refs.answerSheet.close();
        });
      } else {
        var firstItem = arr[0];
        this.activeIndex = firstItem.activeIndex;
        this.$nextTick(function () {
          _this8.childId = "view_".concat(firstItem.id);

          _this8.$refs.answerSheet.close();
        });
      }
    },
    showParse: function showParse(index) {
      // 查看视频解析
      var active = this.activeIndex + 1;
      this['practice' + active][index].isUnfold = !this['practice' + active][index].isUnfold;
      this['practice' + active][index].isShowParse = !this['practice' + active][index].isShowParse;
    },
    resetAnswers: function resetAnswers() {
      var _this9 = this;

      this.practices.forEach(function (item) {
        item.forEach(function (_item) {
          _item.hasCommitted = false;
          _item.user_answer = _item.user_answer.map(function (item) {
            return 0;
          });

          if (_item.step1Status) {
            _item.step1Status = false;
          }

          if (_item.step2Data || _item.step2Data === 0) {
            _item.step2Data = null;
          }
        });
      });
      this.requestData();
      this.$refs.answerSheet.close();
      var firstId = this.practices[0][0].id;
      this.activeIndex = 0;
      this.$nextTick(function () {
        _this9.childId = "view_".concat(firstId);
      });
    }
  }
};
exports.default = _default;

/***/ }),

/***/ "a804":
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__("2a49");
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var add = __webpack_require__("4f06").default
var update = add("a5e5510a", content, true, {"sourceMap":false,"shadowMode":false});

/***/ }),

/***/ "b00e":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_dcloudio_vue_cli_plugin_uni_packages_h5_vue_style_loader_index_js_ref_9_oneOf_1_0_node_modules_css_loader_dist_cjs_js_ref_9_oneOf_1_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_loaders_stylePostLoader_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_2_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_3_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_4_node_modules_sass_loader_dist_cjs_js_ref_9_oneOf_1_5_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_6_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_newIndexH5_vue_vue_type_style_index_0_id_2a71604b_lang_scss_scoped_true___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("a804");
/* harmony import */ var _node_modules_dcloudio_vue_cli_plugin_uni_packages_h5_vue_style_loader_index_js_ref_9_oneOf_1_0_node_modules_css_loader_dist_cjs_js_ref_9_oneOf_1_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_loaders_stylePostLoader_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_2_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_3_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_4_node_modules_sass_loader_dist_cjs_js_ref_9_oneOf_1_5_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_6_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_newIndexH5_vue_vue_type_style_index_0_id_2a71604b_lang_scss_scoped_true___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_dcloudio_vue_cli_plugin_uni_packages_h5_vue_style_loader_index_js_ref_9_oneOf_1_0_node_modules_css_loader_dist_cjs_js_ref_9_oneOf_1_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_loaders_stylePostLoader_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_2_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_3_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_4_node_modules_sass_loader_dist_cjs_js_ref_9_oneOf_1_5_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_6_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_newIndexH5_vue_vue_type_style_index_0_id_2a71604b_lang_scss_scoped_true___WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */
 /* unused harmony default export */ var _unused_webpack_default_export = (_node_modules_dcloudio_vue_cli_plugin_uni_packages_h5_vue_style_loader_index_js_ref_9_oneOf_1_0_node_modules_css_loader_dist_cjs_js_ref_9_oneOf_1_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_loaders_stylePostLoader_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_2_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_3_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_4_node_modules_sass_loader_dist_cjs_js_ref_9_oneOf_1_5_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_6_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_newIndexH5_vue_vue_type_style_index_0_id_2a71604b_lang_scss_scoped_true___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ "b6d6":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_answerPopup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("29cd");
/* harmony import */ var _node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_answerPopup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_answerPopup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__);
/* harmony reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in _node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_answerPopup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__) if(["default"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return _node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_answerPopup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__[key]; }) }(__WEBPACK_IMPORT_KEY__));
 /* harmony default export */ __webpack_exports__["default"] = (_node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_answerPopup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ "bff3":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _newIndexH5_vue_vue_type_template_id_2a71604b_scoped_true___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("c39b");
/* harmony import */ var _newIndexH5_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__("e203");
/* harmony reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in _newIndexH5_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__) if(["default"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return _newIndexH5_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__[key]; }) }(__WEBPACK_IMPORT_KEY__));
/* harmony import */ var _newIndexH5_vue_vue_type_style_index_0_id_2a71604b_lang_scss_scoped_true___WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__("b00e");
/* harmony import */ var _node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__("f0c5");

var renderjs





/* normalize component */

var component = Object(_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_3__[/* default */ "a"])(
  _newIndexH5_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__["default"],
  _newIndexH5_vue_vue_type_template_id_2a71604b_scoped_true___WEBPACK_IMPORTED_MODULE_0__[/* render */ "b"],
  _newIndexH5_vue_vue_type_template_id_2a71604b_scoped_true___WEBPACK_IMPORTED_MODULE_0__[/* staticRenderFns */ "c"],
  false,
  null,
  "2a71604b",
  null,
  false,
  _newIndexH5_vue_vue_type_template_id_2a71604b_scoped_true___WEBPACK_IMPORTED_MODULE_0__[/* components */ "a"],
  renderjs
)

/* harmony default export */ __webpack_exports__["default"] = (component.exports);

/***/ }),

/***/ "c39b":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";

// EXPORTS
__webpack_require__.d(__webpack_exports__, "b", function() { return /* reexport */ render; });
__webpack_require__.d(__webpack_exports__, "c", function() { return /* reexport */ staticRenderFns; });
__webpack_require__.d(__webpack_exports__, "a", function() { return /* reexport */ components; });

// UNUSED EXPORTS: recyclableRender

// CONCATENATED MODULE: ./node_modules/@dcloudio/vue-cli-plugin-uni/packages/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/webpack-preprocess-loader??ref--15-0!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/webpack-uni-app-loader/filter-modules-template.js!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/webpack-uni-app-loader/page-meta.js!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/vue-loader/lib??vue-loader-options!./node_modules/@dcloudio/vue-cli-plugin-uni/packages/webpack-scoped-loader!./src/pages/practice/newIndexH5.vue?vue&type=template&id=2a71604b&scoped=true&
var components;
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('v-uni-view',{staticClass:"practice"},[_c('v-uni-view',{staticClass:"practice-nav",style:({ 'padding-top': _vm.top + 'px' })},[_c('v-uni-view',{staticClass:"nav-left",on:{"click":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.back).apply(void 0, arguments)
}}},[_c('dykt-icon',{attrs:{"type":"left-arrow","size":"48","color":"#222"}})],1),_c('v-uni-view',{staticClass:"nav-middle"},_vm._l((_vm.practice_blocks),function(item,index){return _c('v-uni-view',{key:index,staticClass:"nav-middle-tabs",class:{
                        tabActive:
                            _vm.activeIndex === _vm.nameIndexMap[item.block_name],
                    },on:{"click":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
_vm.chooseTabs(item)
}}},[_c('v-uni-text',[_vm._v(_vm._s(_vm.typeDict[item.block_name]))])],1)}),1),_c('v-uni-view',{staticClass:"nav-right",on:{"click":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.openAnswerSheet).apply(void 0, arguments)
}}},[_c('v-uni-view',{staticClass:"right-container"},[_c('dykt-icon',{staticClass:"answer-sheet",attrs:{"type":"edit","size":"40","color":"#222"}})],1)],1)],1),(_vm.practice1)?_c('PracticeTemplate',{directives:[{name:"show",rawName:"v-show",value:(_vm.activeIndex === 0 && _vm.practices[0].length > 0),expression:"activeIndex === 0 && practices[0].length > 0"}],staticClass:"practice-content lt",attrs:{"practices":_vm.practice1,"redirectId":this.childId,"top":_vm.top,"isApp":true,"type":0},on:{"showParse":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.showParse).apply(void 0, arguments)
},"mutiSumitted":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.mutiSumitted).apply(void 0, arguments)
},"singleSubmit":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.singleSubmit).apply(void 0, arguments)
}}},[(_vm.practice2 && _vm.practice2.length > 0)?_c('v-uni-view',{staticClass:"keep-study-container"},[_c('v-uni-view',{staticClass:"keep-study",on:{"click":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
_vm.chooseTabs('精选')
}}},[_c('v-uni-text',[_vm._v("继续学习精选必练习题")]),_c('dykt-icon',{staticClass:"arrow",attrs:{"size":"30","color":"#7a4100","type":"right-arrow"}})],1)],1):_vm._e()],1):_vm._e(),(_vm.practice2)?_c('PracticeTemplate',{directives:[{name:"show",rawName:"v-show",value:(_vm.activeIndex === 1 && _vm.practices[1].length > 0),expression:"activeIndex === 1 && practices[1].length > 0"}],staticClass:"practice-content",attrs:{"practices":_vm.practice2,"redirectId":this.childId,"top":_vm.top,"isApp":true,"type":1},on:{"showParse":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.showParse).apply(void 0, arguments)
},"mutiSumitted":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.mutiSumitted).apply(void 0, arguments)
},"singleSubmit":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.singleSubmit).apply(void 0, arguments)
}}},[(_vm.practice3 && _vm.practice3.length > 0)?_c('v-uni-view',{staticClass:"keep-study-container"},[_c('v-uni-view',{staticClass:"keep-study",on:{"click":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
_vm.chooseTabs('深度练')
}}},[_c('v-uni-text',{staticClass:"title"},[_vm._v("继续进行深度训练")]),_c('dykt-icon',{staticClass:"arrow",attrs:{"size":"30","color":"#7a4100","type":"right-arrow"}})],1)],1):_vm._e()],1):_vm._e(),(_vm.practice3)?_c('PracticeTemplate',{directives:[{name:"show",rawName:"v-show",value:(_vm.activeIndex === 2 && _vm.practices[2].length > 0),expression:"activeIndex === 2 && practices[2].length > 0"}],staticClass:"practice-content",attrs:{"practices":_vm.practice3,"top":_vm.top,"redirectId":this.childId,"isApp":true,"type":2},on:{"mutiSumitted":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.mutiSumitted).apply(void 0, arguments)
},"singleSubmit":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.singleSubmit).apply(void 0, arguments)
},"showParse":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.showParse).apply(void 0, arguments)
}}}):_vm._e(),_c('answer-sheet',{ref:"answerSheet",attrs:{"practices":_vm.practices,"top":_vm.top,"material_id":_vm.teaching_material_id,"catalog_id":_vm.catalog_id,"cat_id":_vm.cat_id},on:{"registration":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.scrollTo).apply(void 0, arguments)
},"resetAnswers":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.resetAnswers).apply(void 0, arguments)
},"scrollToFirstError":function($event){
arguments[0] = $event = _vm.$handleEvent($event);
(_vm.scrollToFirstError).apply(void 0, arguments)
}}})],1)}
var recyclableRender = false
var staticRenderFns = []


// CONCATENATED MODULE: ./src/pages/practice/newIndexH5.vue?vue&type=template&id=2a71604b&scoped=true&


/***/ }),

/***/ "e203":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_newIndexH5_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("8ac4");
/* harmony import */ var _node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_newIndexH5_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_newIndexH5_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__);
/* harmony reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in _node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_newIndexH5_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__) if(["default"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return _node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_newIndexH5_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__[key]; }) }(__WEBPACK_IMPORT_KEY__));
 /* harmony default export */ __webpack_exports__["default"] = (_node_modules_babel_loader_lib_index_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_13_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_16_0_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_uni_app_loader_using_components_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_newIndexH5_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ "e539":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _answerPopup_vue_vue_type_template_id_3c3d99ca_scoped_true___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("3dab");
/* harmony import */ var _answerPopup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__("b6d6");
/* harmony reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in _answerPopup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__) if(["default"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return _answerPopup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__[key]; }) }(__WEBPACK_IMPORT_KEY__));
/* harmony import */ var _answerPopup_vue_vue_type_style_index_0_id_3c3d99ca_lang_scss_scoped_true___WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__("e789");
/* harmony import */ var _node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__("f0c5");

var renderjs





/* normalize component */

var component = Object(_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_3__[/* default */ "a"])(
  _answerPopup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__["default"],
  _answerPopup_vue_vue_type_template_id_3c3d99ca_scoped_true___WEBPACK_IMPORTED_MODULE_0__[/* render */ "b"],
  _answerPopup_vue_vue_type_template_id_3c3d99ca_scoped_true___WEBPACK_IMPORTED_MODULE_0__[/* staticRenderFns */ "c"],
  false,
  null,
  "3c3d99ca",
  null,
  false,
  _answerPopup_vue_vue_type_template_id_3c3d99ca_scoped_true___WEBPACK_IMPORTED_MODULE_0__[/* components */ "a"],
  renderjs
)

/* harmony default export */ __webpack_exports__["default"] = (component.exports);

/***/ }),

/***/ "e789":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_dcloudio_vue_cli_plugin_uni_packages_h5_vue_style_loader_index_js_ref_9_oneOf_1_0_node_modules_css_loader_dist_cjs_js_ref_9_oneOf_1_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_loaders_stylePostLoader_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_2_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_3_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_4_node_modules_sass_loader_dist_cjs_js_ref_9_oneOf_1_5_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_6_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_answerPopup_vue_vue_type_style_index_0_id_3c3d99ca_lang_scss_scoped_true___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("fcb0");
/* harmony import */ var _node_modules_dcloudio_vue_cli_plugin_uni_packages_h5_vue_style_loader_index_js_ref_9_oneOf_1_0_node_modules_css_loader_dist_cjs_js_ref_9_oneOf_1_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_loaders_stylePostLoader_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_2_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_3_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_4_node_modules_sass_loader_dist_cjs_js_ref_9_oneOf_1_5_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_6_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_answerPopup_vue_vue_type_style_index_0_id_3c3d99ca_lang_scss_scoped_true___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_dcloudio_vue_cli_plugin_uni_packages_h5_vue_style_loader_index_js_ref_9_oneOf_1_0_node_modules_css_loader_dist_cjs_js_ref_9_oneOf_1_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_loaders_stylePostLoader_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_2_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_3_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_4_node_modules_sass_loader_dist_cjs_js_ref_9_oneOf_1_5_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_6_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_answerPopup_vue_vue_type_style_index_0_id_3c3d99ca_lang_scss_scoped_true___WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */
 /* unused harmony default export */ var _unused_webpack_default_export = (_node_modules_dcloudio_vue_cli_plugin_uni_packages_h5_vue_style_loader_index_js_ref_9_oneOf_1_0_node_modules_css_loader_dist_cjs_js_ref_9_oneOf_1_1_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_loaders_stylePostLoader_js_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_2_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_3_node_modules_postcss_loader_src_index_js_ref_9_oneOf_1_4_node_modules_sass_loader_dist_cjs_js_ref_9_oneOf_1_5_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_preprocess_loader_index_js_ref_9_oneOf_1_6_node_modules_dcloudio_vue_cli_plugin_uni_packages_vue_loader_lib_index_js_vue_loader_options_node_modules_dcloudio_vue_cli_plugin_uni_packages_webpack_scoped_loader_index_js_answerPopup_vue_vue_type_style_index_0_id_3c3d99ca_lang_scss_scoped_true___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ "fcb0":
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__("5d6e");
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var add = __webpack_require__("4f06").default
var update = add("2fefcc93", content, true, {"sourceMap":false,"shadowMode":false});

/***/ })

}]);